import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  let brandName = document.getElementById("brandName").value;
  let details = document.getElementById("details").value;
  let tone = document.getElementById("tone").value;
  let language = document.getElementById("language").value;

  return {
    brandName,
    details,
    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as an ad headline generator. Generate ad headlines for me with the following information in markdown format:`;

  if (input["brandName"]) {
    prompt += `
        Brand Name: ${input["brandName"]}
      `;
  }

  if (input["details"]) {
    prompt += `
        Company Details: ${input["details"]}
      `;
  }

  if (input["tone"]) {
    prompt += `
         Tone of the ad: ${input["tone"]}
      `;
  }

  if (input["language"]) {
    prompt += `
        Language of the ad: ${input["language"]}
      `;
  }

  prompt += `The headlines will not be in heading format.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
