import handleFormSubmit from "../globaljs/formSubmitHandler.js";

let temperature = 1;

function setTheTemperature() {
  const creativityLevel = document.querySelector("#creativity").value;

  switch (creativityLevel) {
    case "Be Creative":
      temperature = 1;
      break;
    case "Be Specific":
      temperature = 0;
      break;
    case "Both Specific and Creative":
      temperature = 0.5;
      break;
  }
}

const getFormValues = () => {
  let platform = document.querySelector("#platform").value;
  let postAbout = document.querySelector("#postAbout").value;
  let tone = document.querySelector("#tone").value;
  let wordLength = document.querySelector("#wordLength").value;
  let postCount = document.querySelector("#postCount").value;
  let language = document.querySelector("#language").value;

  return {
    platform,
    postAbout,
    tone,
    wordLength,
    postCount,
    language,
  };
};

function generatePrompt() {
  setTheTemperature();

  const input = getFormValues();
  let prompt = `Act as a social media post generator. I will provide information about my post preferences and you will generate a post for me.`;

  if (input.platform) {
    prompt += `
            Platform: ${input.platform}
        `;
  }

  if (input.postAbout) {
    prompt += `
            Post About: ${input.postAbout}
        `;
  }

  if (input.tone) {
    prompt += `
            Tone: ${input.tone}
        `;
  }

  if (input.wordLength) {
    prompt += `
            Approximate Word Length: ${input.wordLength}
        `;
  }

  if (input.postCount) {
    prompt += `
            Post Count: ${input.postCount}
        `;
  }

  if (input.language) {
    prompt += `
            The post should be in ${input.language}.
        `;
  }

  prompt += `Give the response in markdown format.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
