import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const article = document.querySelector("#article").value;
  const length = document.querySelector("#length").value;
  const language = document.querySelector("#language").value;

  return { article, length, language };
};

const generatePrompt = (input) => {
  let prompt = "Act as an article summary generator. ";

  if (input.article) {
    prompt += `Generate an summary for the following article: ${input.article}\n`;
  }

  if (input.length) {
    prompt += `The length of the summary should be ${input.length}.\n`;
  }

  if (input.language) {
    prompt += `The language of the summary is ${input.language}.\n`;
  }

  prompt += "Give the response in markdown format.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
