import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const article = document.querySelector("#article").value;
  const tone = document.querySelector("#tone").value;
  const language = document.querySelector("#language").value;

  return { article, tone, language };
};

const generatePrompt = (input) => {
  let prompt = "Act as an article title generator. ";

  if (input.article) {
    prompt += `Generate 10 article titles for the following article: ${input.article}\n`;
  }

  if (input.tone) {
    prompt += `The tone of the title is ${input.tone}.\n`;
  }

  if (input.language) {
    prompt += `The language of the title is ${input.language}.\n`;
  }

  prompt += "Give the response in markdown format.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
