import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const targetAudienceSelector = document.getElementById("target_audience");

targetAudienceSelector.addEventListener("change", function () {
  checkOther(targetAudienceSelector, "other_target_audience");
});

function checkOther(select, inputId) {
  const input = document.getElementById(inputId);
  if (select.value === "others") {
    input.style.display = "block";
  } else {
    input.style.display = "none";
  }
}

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const target_audience = document.getElementById("target_audience").value;
  const other_target_audience = document.getElementById(
    "other_target_audience"
  ).value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    target_audience,
    other_target_audience,
    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a blog post idea generator.Generate blog post ideas for me in markdown format with the following information: `;

  if (input.topic) {
    prompt += `Topic or Keyword: ${input.topic}. `;
  }

  if (input.target_audience) {
    prompt += `Target Audience: ${input.target_audience}. `;
  }

  if (input.other_target_audience) {
    prompt += `Other Target Audience: ${input.other_target_audience}. `;
  }

  if (input.tone) {
    prompt += `Tone of the Post: ${input.tone}. `;
  }

  if (input.language) {
    prompt += `Language: ${input.language}. `;
  }

  prompt += `Just give blog post ideas.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
