import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const bookText = document.getElementById("bookText").value;
  const famousBook = document.getElementById("famousBook").value;
  const language = document.getElementById("language").value;
  const length = document.getElementById("summaryLength").value;

  return {
    bookText,
    famousBook,
    language,
    length,
  };
};

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a book summary generator. Generate a summary in markdown format using the following informations:`;
  if (input.bookText) {
    prompt += `Create the summary from this text: ${input.bookText}`;
  }

  if (input.famousBook) {
    prompt += `Create the summary from this book: ${input.famousBook}`;
  }

  if (input.language) {
    prompt += `Create the summary in ${input.language}`;
  }

  if (input.length) {
    prompt += `Create the summary with: ${input.length} words`;
  }

  prompt += `
  Only use texts. Summary does not contain images or videos or anything like that.
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJSUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
