import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const themeSelector = document.getElementById("theme");
const genreSelector = document.getElementById("genre");

themeSelector.addEventListener("input", function () {
  checkOther(themeSelector, "otherTheme");
});

genreSelector.addEventListener("input", function () {
  checkOther(genreSelector, "otherGenre");
});

const checkOther = (select, inputId) => {
  const input = document.getElementById(inputId);
  if (select.value === "Other") {
    input.style.display = "block";
  } else {
    input.style.display = "none";
  }
};

const getFormValues = () => {
  const theme = themeSelector.value;
  const genre = genreSelector.value;
  const otherTheme = document.getElementById("otherTheme").value;
  const otherGenre = document.getElementById("otherGenre").value;
  const story = document.getElementById("story").value;
  return { theme, genre, otherTheme, otherGenre, story };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a book name generator. Give some book name suggestions in markdown format based on the following info:.\n";

  if (input.theme && !input.otherTheme) {
    prompt += `I am writing a book with ${input.theme} theme.\n`;
  }

  if (input.genre && !input.otherGenre) {
    prompt += `I am writing a ${input.genre} book.\n`;
  }

  if (input.otherTheme) {
    prompt += `I am writing a book with ${input.otherTheme} theme.\n`;
  }

  if (input.otherGenre) {
    prompt += `I am writing a ${input.otherGenre} book.\n`;
  }

  if (input.story) {
    prompt += `My book is about ${input.story}.\n`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
