import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const targetAudienceSelector = document.getElementById("targetAudience");
targetAudienceSelector.addEventListener("input", function () {
  checkOther(targetAudienceSelector, "otherTargetAudience");
});

function checkOther(select, inputId) {
  const input = document.getElementById(inputId);
  if (select.value === "Others") {
    input.style.display = "block";
  } else {
    input.style.display = "none";
  }
}

const getFormValues = () => {
  const contentType = document.querySelector("#contentType").value;
  const topic = document.querySelector("#topic").value;
  const targetAudience = document.querySelector("#targetAudience").value;
  const otherTargetAudience = document.querySelector(
    "#otherTargetAudience"
  ).value;

  return { contentType, topic, targetAudience, otherTargetAudience };
};

const generatePrompt = (input) => {
  let prompt = "Act as a content idea generator.  Generate ideas for a ";

  if (input.contentType) {
    prompt += `${input.contentType}\n`;
  }

  if (input.topic) {
    prompt += `on the topic of ${input.topic}\n`;
  }

  if (input.targetAudience && !input.otherTargetAudience) {
    prompt += `for ${input.targetAudience}\n`;
  }

  if (input.otherTargetAudience) {
    prompt += `for ${input.otherTargetAudience}\n`;
  }

  prompt += "Give the response in markdown format.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
