import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const details = document.querySelector("#details").value;
  const type = document.querySelector("#type").value;
  const language = document.getElementById("language").value;

  return {
    details,
    type,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a course marketing plan generator. Write a course marketing plan for me in markdown format with the following informations:`;

  if (input.details) {
    prompt += `
        My course details :${input.details}.
        `;
  }

  if (input.type) {
    prompt += `
    my target audience is: ${input.type}.
    `;
  }

  if (input.language) {
    prompt += `Generate the course marketing plan in ${input.language};`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
