<?php
/**
 * Plugin Name: Custom API
 * Plugin URI: http://chrushingit.com
 * Description: Crushing it!
 * Version: 1.0
 * Author: Art Vandelay
 * Author URI: http://watch-learn.com
 */

add_action('rest_api_init', function () {
  register_rest_route('wl/v1', 'chat', array(
    'methods' => 'POST',
    'callback' => 'my_awesome_func',
  ));
});

function my_awesome_func(WP_REST_Request $request) {
    ini_set('output_buffering', 'off');

  // Disable PHP's output buffering
  while (ob_get_level()) ob_end_flush();

  // Send headers for a streamed response
  header('Content-Type: text/event-stream');
  header('Cache-Control: no-cache');
  header('Connection: keep-alive');
header('X-Accel-Buffering: no');

  $input = $request->get_param('input');
  $temperature = $request->get_param('temperature');

  // Make a request to the ChatGPT API
  $messages = array(
    array(
      'role' => 'user',
      'content' => $input,
    ),
  );

  $api_key = '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';
  $model = 'gpt-3.5-turbo';

  try {
    // Don't capture the return value, because send_chatgpt_message will echo the response
    send_chatgpt_message($messages, $api_key, $model);
  } catch (Exception $e) {
    echo "data: " . json_encode(["content" => $e->getMessage()]) . "\n\n";
    flush();
  }

  // Send a final event to tell the client that the stream is done
  echo "event: stop\n";
  echo "data: stopped\n\n";

  return;
}

// The send_chatgpt_message function remains the same
function send_chatgpt_message(
    array $messages,
    string $api_key,
    string $model = "gpt-3.5-turbo"
): string {
    $ch = curl_init( "https://api.openai.com/v1/chat/completions" );

    $messages = array_map( function( $message ) {
        return [
            "role" => $message["role"],
            "content" => $message["content"],
        ];
    }, $messages );

    curl_setopt_array( $ch, [
        CURLOPT_HTTPHEADER => [
            "Content-type: application/json",
            "Authorization: Bearer $api_key"
        ],
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => json_encode( [
            "model" => $model,
            "messages" => $messages,
            "stream" => true,
            "temperature" => 0.9,
            "frequency_penalty" => 0.5,
        ] ),
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_WRITEFUNCTION => function( $ch, $data ) {
            echo $data; // Send the raw data
            ob_flush(); // Flush output buffer after echoing data.
            flush();
            if( connection_aborted() ) return 0;
            return strlen( $data );
        }
    ] );
    
    $response = curl_exec( $ch );

    if( ! $response ) {
        throw new CurlErrorException( sprintf(
            "Error in OpenAI request: %s",
            curl_errno( $ch ) . ": " . curl_error( $ch )
        ) );
    }

    return $response;
}

