import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const language = document.getElementById("language").value;

  return {
    type,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Customer Service Representative Persona Generator. Write a Customer Service Representative Persona for me in markdown format with the following information:`;

  if (input.type) {
    prompt += `
    my company's customer service target audience is: ${input.type}.
    `;
  }

  if (input.language) {
    prompt += `Generate the Customer Service Representative Persona in ${input.language};`;
  }

  prompt += `
The persona will not contain any avatar or images. 
This persona should shape company's service scripts, guide training programs, and influence customer communication approach, leading to improved customer engagement and satisfaction.
`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
