import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const businessKind = document.querySelector("#businessKind").value;
  const idea = document.querySelector("#idea").value;
  const languageSelector = document.querySelector("#languageSelector").value;
  const extensionSelector = document.querySelector("#extensionSelector").value;

  return {
    businessKind,
    idea,
    languageSelector,
    extensionSelector,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a domain name generator.Give some domain name suggetions in markdown format based on the following info:.\n";

  if (input.businessKind) {
    prompt += `I run a: ${input.businessKind} business.\n`;
  }
  if (input.idea) {
    prompt += `I want to spread the idea ${input.idea} through my domain name.`;
  }
  if (input.languageSelector) {
    prompt += `I want my domain name to be in ${input.languageSelector} language.`;
  }
  if (input.extensionSelector) {
    prompt += `I want my domain name to use ${input.extensionSelector} extension.`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
