import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const mainEmail = document.getElementById("mainEmail").value;
  const desiredReply = document.getElementById("desiredReply").value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    mainEmail,
    desiredReply,

    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as an email reply generator. Generate an email reply for me with the following informations in markdown format:`;

  if (input["mainEmail"]) {
    prompt += `
        I want to give reply to this email: ${input["mainEmail"]}
      `;
  }

  if (input["desiredReply"]) {
    prompt += `
        Main point I want to convey in the reply: ${input["desiredReply"]}
      `;
  }

  if (input["tone"]) {
    prompt += `
         I want to reply with this ${input["tone"]} tone.
      `;
  }

  if (input["language"]) {
    prompt += `
        Generate reply in this language: ${input["language"]}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
