import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const emailBody = document.querySelector("#emailBody").value;
  const shortDescription = document.querySelector("#shortDescription").value;
  const tone = document.querySelector("#tone").value;
  const language = document.querySelector("#language").value;

  return { emailBody, shortDescription, tone, language };
};

const generatePrompt = (input) => {
  let prompt = "Act as an email subject line generator. ";

  if (input.emailBody) {
    prompt += `Generate 10 subject lines for an email with the following body: ${input.emailBody}\n`;
  }

  if (input.shortDescription) {
    prompt += `Generate 10 subject lines for an email with the following description: ${input.shortDescription}\n`;
  }

  if (input.tone) {
    prompt += `The tone of the email is ${input.tone}.\n`;
  }

  if (input.language) {
    prompt += `The language of the email is ${input.language}.\n`;
  }

  prompt += "Give the response in markdown format.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
