import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const tone = document.querySelector("#tone").value;
  const language = document.querySelector("#language").value;

  return {
    topic,
    tone,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a facebook post generator. Generate a 70 characters facebook post in markdown format with the following informations:`;

  if (input.topic) {
    prompt += `Post Topic: ${input.topic}.`;
  }

  if (input.tone) {
    prompt += `Post should have ${input.tone} tone.`;
  }

  if (input.language) {
    prompt += `Post should be in ${input.language}.`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
