import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const companyName = document.querySelector("#companyName").value;
  const companyDescription = document.querySelector(
    "#companyDescription"
  ).value;

  return {
    companyName,
    companyDescription,
  };
};

const generatePrompt = (input) => {
  let prompt = `I want you to act as an About Page Generator. 
    I will provide you with some basic information about a company, organization, or individual, and it will be your job to create a compelling and informative about page. 
    This page should capture the essence of the entity and highlight its key features, achievements, and values. 
    Feel free to use creative language and storytelling techniques to make the About page engaging. `;

  if (input.companyName) {
    prompt += ` My first request is to create an About page for ${input.companyName},`;
  }

  if (!input.companyName) {
    prompt += `My first request is to create an About page for "The Stellar Co.,"`;
  }

  if (input.companyDescription) {
    prompt += ` which is a ${input.companyDescription}.`;
  }

  if (!input.companyDescription) {
    prompt += `which is a start-up company.`;
  }

  if (!input.companyName && !input.companyDescription) {
    prompt += `My first request is to create an About page for "The Stellar Co.," a start-up company specializing in renewable energy solutions.`;
  }

  prompt += `Please include their mission, vision, key team members, and notable achievements, all while maintaining a professional yet captivating tone. Return the response in markdown format.
  The about page will not have any images.
  `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
