import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const thoughtInput = document.querySelector("#thoughtInput").value;
  const selector = document.querySelector("#selector").value;

  return {
    thoughtInput,
    selector,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a acronym generator.Give 10 random acronym and their meanings.\n";

  if (input.thoughtInput) {
    prompt += `Give the acronym based on the following information: ${input.thoughtInput}\n`;
  }
  if (input.selector) {
    prompt += `User wants the acronym in the following language:${input.selector}`;
  }

  prompt += `Example input output:
  input:'hello world'
  output:'H.E.L.L.O. - Highly Efficient Language Learning Oasis'
  input:'a movement about privacy'
  output:'P.R.I.V.A.C.T. - Privacy Rights Initiative for Valuing and Advocating for Confidentiality and Trust'
  input:'A company about health'
  output:'HEALCO - Health Enterprise and Lifestyle Company'
  input:'tobacco stop'
  output:'T.A.B.S. - Tobacco Abstinence Begins Today'
  input:'science is for all'
  output:'SIFA - Science Is For All'
  `;
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
