import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  let productName = document.getElementById("productName").value;
  let productDescription = document.getElementById("productDescription").value;
  let callToAction = document.getElementById("callToAction").value;
  let characterLimit = document.getElementById("characterLimit").value;
  let tone = document.getElementById("tone").value;
  let language = document.getElementById("language").value;
  let specialOffers = document.getElementById("specialOffers").value;

  return {
    productName,
    productDescription,
    callToAction,
    characterLimit,
    tone,
    language,
    specialOffers,
  };
};

const generatePrompt = () => {
  const input = getFormValues();
  let adCopy = `Act as an ad copy generator. Generate five ad copy variations for me with the following informations in markdown format:`;

  if (input.productName) {
    adCopy += `
          Product Name: ${input.productName}
          `;
  }

  if (input.productDescription) {
    adCopy += `
          Product Description: ${input.productDescription}
          `;
  }

  if (input.callToAction) {
    adCopy += `
         Add this Call to Action in the ad: ${input.callToAction}
          `;
  }

  if (input.characterLimit) {
    adCopy += `
          Ad Character Limit is: ${input.characterLimit}
          `;
  }

  if (input.tone) {
    adCopy += `
          Use this tone in the ad: ${input.tone}
          `;
  }

  if (input.language) {
    adCopy += `
          The ad should be in ${input.language}
          `;
  }

  if (input.specialOffers) {
    adCopy += `
          Tell about these Special Offers: ${input.specialOffers}
          `;
  }

  return adCopy;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
