import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const audience = document.getElementById("audience").value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    audience,
    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a article outline generator. Generate article outlines for my article with the following informations in markdown format:`;

  if (input.topic) {
    prompt += `
        My article topic: ${input.topic}
      `;
  }

  if (input.audience) {
    prompt += `
        My article audience: ${input.audience}
      `;
  }

  if (input.tone) {
    prompt += `
        My article will be in ${input.tone} tone
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
