import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const keywords = document.getElementById("keywords").value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    keywords,
    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a blog post introduction generator. Generate a blog post introduction for me with the following informations in markdown format:`;

  if (input.topic) {
    prompt += `
        Blog post title: ${input.topic}.
      `;
  }

  if (input.keywords) {
    prompt += `
        I want to add these keywords in the introduction: ${input.keywords}.
      `;
  }

  if (input.tone) {
    prompt += `
        My blog post will be in ${input.tone} tone
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
