import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a brand guidelines generator. Create me brand guidelines for my brand in markdown format.`;

  if (input.topic) {
    prompt += `Details of my brand : ${input.topic};`;
  }

  if (input.language) {
    prompt += `Give the guidelines in ${input.language};`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
