import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a brand style guide generator. Create me brand style guide for my brand in markdown format.`;

  if (input.topic) {
    prompt += `Details of my brand : ${input.topic};`;
  }

  if (input.language) {
    prompt += `Give the style guide in ${input.language};`;
  }

  prompt += `
  Include these points in the style guide:
  Logo
  Color Palette
  Typography
  Imagery and Iconography
  Brand Voice
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
