import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const company = document.getElementById("company").value;
  const about = document.getElementById("about").value;
  const language = document.getElementById("language").value;

  return {
    company,
    about,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Chief Financial Officer Persona generator. Generate a Chief Financial Officer Persona for me with the following informations in markdown format:`;

  if (input.company) {
    prompt += `
        Details of the company cfo works for: ${input.company}.
      `;
  }

  if (input.about) {
    prompt += `
        Personal and professional background of cfo: ${input.about}.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.2;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
