import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a elevator pitch generator. Write a 100 words elevator pitch in markdown format in ${input.language} on this information: ${input.topic} .}
  .`;

  prompt += `
    ###elevator pitch examples:
    -     Good day! My name is [Name], and I am an experienced sailor with 20+ years of experience. I am here today to discuss a unique opportunity to invest in me and my journey, as I embark on the adventure of a lifetime - sailing around the world! With your financial backing, I can set sail on this incredible voyage, taking you and others along for the ride. From breathtaking views to interesting cultures to explore, you won't want to miss out on this chance. Invest in me today and you will have the chance to be part of an exciting journey unlike any other. Thank you for your time!
    - Good morning! I am a junior developer with over 1 year of experience in web development and mobile app design. I am well-versed in HTML, CSS, JavaScript, Java, C++ and Python. I have a strong technical background as well as excellent communication and organizational skills which make me an ideal candidate for your team. My passion for technology ensures high levels of creativity and knowledge when working on projects. I am confident that my experience combined with my enthusiasm for the industry will be an asset to your company. Thank you for considering me!
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
