import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const companyDetails = document.getElementById("companyDetails").value;
  const goal = document.getElementById("goal").value;
  const sellingPoints = document.getElementById("sellingPoints").value;
  const targetAudience = document.getElementById("targetAudience").value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    companyDetails,
    goal,
    sellingPoints,
    targetAudience,
    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as an email sequence generator. Generate email sequences for me with the following informations in markdown format:`;

  if (input.companyDetails) {
    prompt += `My company details: ${input.companyDetails}.`;
  }

  if (input.goal) {
    prompt += `Goal of these emails: ${input.goal}.`;
  }

  if (input.sellingPoints) {
    prompt += `Selling points of my company: ${input.sellingPoints}.`;
  }

  if (input.targetAudience) {
    prompt += `Target audience of these emails: ${input.targetAudience}.`;
  }

  if (input.tone) {
    prompt += `Tone of these emails: ${input.tone}.`;
  }

  if (input.language) {
    prompt += `Language of these emails: ${input.language}.`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
