import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is an Email Subject Line Generator?",
    `
        <p>An email subject line generator is a specialized tool designed to craft compelling subject lines for your email campaigns. In a digital age where our inboxes are bombarded daily, standing out becomes more than just a small challenge:</p>
      
        <ul>
          <li><strong>Accuracy is Key:</strong> With the help of templates and tailored suggestions, this tool ensures your emails stand out amidst the vast clutter.</li>
      
          <li><strong>AI-Powered Insights:</strong> By utilizing advanced AI algorithms, these generators analyze trending phrases and keywords. The result? Subject lines that don't just capture attention, but are also in line with what recipients want, ensuring higher open rates. This smart generator email tool aligns with the principles of marketing automation, enhancing efficiency.</li>
        </ul>
        `,
  ],
  [
    "Why Use an Email Subject Line Generator?",
    `
        <p>Leveraging an email subject line generator isn’t just about saving time on writing email tasks. It’s about elevating your digital correspondence:</p>
      
        <ul>
          <li><strong>Higher Open Rates:</strong> With a captivating email line, your message isn't just another notification in the inbox. It becomes a message recipients eagerly click on.</li>
      
          <li><strong>Saves Time:</strong> Say goodbye to hours spent trying to craft the perfect subject. This generator provides potent suggestions quickly, leaving you more time to focus on the email body.</li>
      
          <li><strong>Tailored to Trends:</strong> In the dynamic world of SEO content and digital communication, staying updated is crucial. With a generator, you're not just keeping pace; you're leading. So, whether you’re looking to request demo appointments or share information, you’re always in sync with current linguistic trends and evolving user behaviors, ensuring your copy is top-notch.</li>
        </ul>
        `,
  ],
  [
    "How Email Subject Line Generator Works?",
    `
        <p>The magic of these tools is a blend of user input and technological prowess:</p>
      
        <ol>
          <li><strong>User Input:</strong> Start by providing some context, maybe a brief of the email content or the tone you're aiming for.</li>
      
          <li><strong>AI Analysis:</strong> Behind the scenes, the tool dives deep into its vast database, drawing patterns from thousands of successful email subject lines and gleaning insights.</li>
      
          <li><strong>Output:</strong> Before you know it, you're presented with an array of optimized subject lines, each designed for maximum impact and resonance with your intended audience.</li>
        </ol>
        `,
  ],
  [
    "How to Create an Email Subject Line With This Generator",
    `
        <p>To tap into the generator's full potential, follow these steps:</p>
      
        <ol>
          <li><strong>Input Content Details:</strong> Offer a sneak peek into what your email entails.</li>
      
          <li><strong>Choose a Tone:</strong> Every brand has a voice, and every email a mood. Is it formal, casual, humorous, or urgent? Specify that.</li>
      
          <li><strong>Choose a language:</strong> Chose your prefered language.</li>

          <li><strong>Generate:</strong> Sit back and let the generator weave its magic, churning out a plethora of options.</li>
      
          <li><strong>Selection:</strong> Skim through, pick what aligns with your campaign, or tweak for that personal touch.</li>
        </ol>
        `,
  ],
  [
    "Importance of Email Subject Line",
    `
        <p>A subject line isn't merely an introduction. It's the first handshake, the initial pitch:</p>
      
        <ul>
          <li><strong>First Point of Contact:</strong> The very first thing recipients notice. A good subject line intrigues, while a lackluster one may lead to a missed connection.</li>
      
          <li><strong>Decides Open Rates:</strong> Its influence isn't just superficial. A powerful subject line can drastically up your email's open rates.</li>
      
          <li><strong>Reflects Brand Voice:</strong> It's a tiny window into your brand's personality. Whether you want to come across as playful, informative, or compassionate, your subject line can convey that essence.</li>
        </ul>
        `,
  ],
];

const aboutDataHeading = `
<p>In the ever-competitive realm of email marketing, grabbing your audience's attention from the get-go is crucial. Imagine crafting an email with fantastic content, only to have it overlooked because of a lackluster subject line. Sounds frustrating, right?</p>
<p>That's where the email subject line generator steps in. Using a mix of smart algorithms and understanding of what clicks with readers, this tool is like your personal brainstorming buddy. It helps whip up catchy subject lines that not only pique curiosity but also ensure your emails don't get lost in the crowd.</p>
`;


const faqData = [
  [
    "Can I customize subject lines generated by the tool?",
    "Absolutely! While this generator offer stellar suggestions, it’s always a good strategy to add a personal touch for enhanced uniqueness.",
  ],
  [
    "Is using an email subject line generator cost-effective?",
    "Yes! It is completely free!. When you weigh the heightened engagement against the cost, coupled with the time saved, it emerges as a valuable investment.",
  ],
  [
    "Will my emails sound robotic using a generator?",
    "No. The goal is always human appeal. While suggestions are based on data, they aim to engage human readers. Review and tweak if necessary, to ensure alignment with your brand's voice.",
  ],
  [
    "Can the generator cater to emails in languages other than English?",
    "Certainly! This tool also supports Spanish, French and German.",
  ],
];

populateAboutArea(aboutData,aboutDataHeading);
generateFAQ(faqData);
