import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const eventDescription = document.querySelector("#eventDescription").value;
  const eventType = document.querySelector("#eventType").value;
  const eventNameLength = document.querySelector("#eventNameLength").value;
  const nameStyle = document.querySelector("#nameStyle").value;
  const language = document.querySelector("#language").value;

  return { eventDescription, eventType, eventNameLength, nameStyle, language };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as an event name generator. Give 10 event names in markdown format based on the following informations:\n";

  if (input.eventDescription) {
    prompt += `The event is described as: ${input.eventDescription} \n`;
  }

  if (input.eventType) {
    prompt += `The type of event is: ${input.eventType} \n`;
  }

  if (input.eventNameLength) {
    prompt += `The length of the event name should be: ${input.eventNameLength} \n`;
  }

  if (input.nameStyle) {
    prompt += `The style of the name should be: ${input.nameStyle} \n`;
  }

  if (input.language) {
    prompt += `The language of the name should be ${input.language} \n`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
