import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is an Excel Formula Generator?",
    `
    <p>Embarking on the journey with the Excel Formula Generator is akin to unlocking a treasure trove of functionalities that elevate your spreadsheet game. It's not just a tool; it's your personal assistant helping you craft perfect formulas effortlessly. Here we delve into its cornerstone features:</p>
    <ul>
      <li><strong>Tailored Solutions:</strong> The generator offers tailored solutions, adapting to diverse data analysis needs, and providing the exact formula you require.</li>
      <li><strong>Cost-Efficiency:</strong> Save on valuable resources such as time and money by leveraging the automated formula creation process.</li>
      <li><strong>Learning Tool:</strong> It serves as an excellent learning tool for Excel beginners, guiding them in understanding the intricate world of Excel formulas.</li>
    </ul>
    `,
  ],
  [
    "Why Use an Excel Formula Generator?",
    `
    <p>The decision to employ an Excel Formula Generator is to step into a realm of infinite possibilities and ease. Below, we highlight why this tool is your go-to solution:</p>
    <ul>
      <li><strong>Collaborative Facilitation:</strong> Encourages a collaborative working environment by easing the sharing of standardized formulas among team members.</li>
      <li><strong>Error Minimization:</strong> Say goodbye to errors that often creep in manual formula entries, ensuring a smoother workflow.</li>
      <li><strong>Real-time Adjustments:</strong> The tool allows for real-time adjustments and adaptations to your formulas, enhancing flexibility and responsiveness in your projects.</li>
    </ul>
    `,
  ],
  [
    "How Excel Formula Generator Works?",
    `
    <p>Unlocking the operational secrets of this remarkable tool grants you the magic wand to breeze through Excel projects. It follows a systematic pathway:</p>
    <ol>
      <li><strong>Requirement Analysis:</strong> It starts with a detailed analysis of your requirements, understanding the nuances of your needs.</li>
      <li><strong>Database Consultation:</strong> Leveraging a rich database, it sifts through numerous possibilities to find the perfect match for your needs.</li>
      <li><strong>User-Friendly Guidance:</strong> A step-by-step guidance ensures you can integrate the suggested formulas seamlessly into your project, even if you are not an Excel expert.</li>
    </ol>
    `,
  ],
  [
    "How to Create an Excel Formula With This Generator",
    `
    <p>Creating a formula is as easy as pie with this intuitive tool. Here is a simplified pathway:</p>
    <ol>
      <li><strong>Interactive Platform:</strong> Engage with an interactive platform that intuitively guides you to input your specific needs.</li>
      <li><strong>Customization:</strong> The generator offers room for customization, allowing you to tailor formulas according to your unique requirements.</li>
      <li><strong>Suggested Formulas:</strong> Post input, the tool suggests a series of formulas, giving you a variety to choose from and find the one that fits perfectly.</li>
      <li><strong>Integration Support:</strong> Besides offering the formulas, it provides integration support to help you incorporate them seamlessly into your spreadsheets.</li>
    </ol>
    `,
  ],
  [
    "Importance of Excel Formula",
    `
    <p>In the digital age, understanding the significance of Excel formulas can be a watershed moment in your data management journey:</p>
    <ul>
      <li><strong>Advanced Analytical Insight:</strong> Facilitates advanced analytical insights, allowing for a deep, nuanced understanding of data patterns and trends.</li>
      <li><strong>Streamlining Processes:</strong> They help in streamlining processes by automating repetitive tasks, thereby saving time and reducing the chance of errors.</li>
      <li><strong>Informed Decision-Making:</strong> Enhance decision-making processes by providing precise data interpretations, enabling data-driven, informed decisions.</li>
    </ul>
    `,
  ],
];

const aboutDataHeading = `
<p>Ever struggled with Excel formulas? The Excel Formula Generator is here to help. It turns complex data tasks into simple steps. You input data. The tool suggests formulas. It's that easy.</p>
<p>This free tool is a part of Onethread's Free Tools Lists. It's designed for everyone. You don't need to be an Excel expert. The generator guides you. It's like having a data wizard at your side.</p>
<p>Use it to save time and reduce errors. Get accurate results fast. Start creating smart, error-free spreadsheets today.</p>
`

const faqData = [
  [
    "What range of formulas can I craft using the generator?",
    "Our generator is adept at creating an extensive array of formulas, from statistical and financial to date/time functions and more, catering to diverse computational needs."
  ],
  [
    "Does the generator support mass formula generation?",
    "Indeed, our generator is designed for scalability, facilitating the creation of bulk formulas, making it ideal for extensive projects."
  ],
  [
    "How does the generator maintain the precision of the formulas it crafts?",
    "Built on advanced algorithms and a vast database, our generator ensures the utmost accuracy and reliability in every formula it produces, making it a dependable tool for crucial data tasks."
  ],
  [
    "Should I be concerned about data security when using the generator?",
    "Your data's security is our top priority. Our generator is fortified with robust security measures, ensuring a protected environment for all your formula creation endeavors. Always choose platforms, like ours, known for their stringent security standards."
  ]
];

populateAboutArea(aboutData,aboutDataHeading);
generateFAQ(faqData);
