import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  return { topic };
};

const generatePrompt = (input) => {
  let prompt = `Write an formula in Excel that:${input.topic}. Give the answer in markdown format.`;

  prompt += `
  '''
  Examples:
   user: Write a formula in excel that Counts the number of cells in column C that contain the text 'Completed'.
   AI:Sure! Here's the formula you can use in Excel to count the number of cells in column C that contain the text 'Completed':
   =COUNTIF(C:C, "Completed")
   
   Explanation:
   The formula uses the COUNTIF function in Excel to count the number of cells in column C that match the specified criteria, which is the text 'Completed' in this case.
   
   C:C refers to the entire column C. You can modify this range to match the specific range of cells you want to count.
   "Completed" is the criteria that the COUNTIF function uses to determine which cells to count. It is enclosed in double quotes to indicate that it is a text value.
   
   Examples:
   Let's say you have the following data in column C:
   |   C   |
   |-------|
   |       |
   |   A   |
   |   B   |
   |   C   |
   |   Completed   |
   |   D   |
   |   Completed   |
   |   E   |
   
   If you use the formula =COUNTIF(C:C, "Completed"), it will return the value 2, because there are two cells in column C that contain the text 'Completed'.
  '''
   `;
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
