import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.getElementById("topic").value;
  const content = document.getElementById("content").value;
  const length = document.getElementById("length").value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    content,
    length,
    tone,
    language,
  };
};

const generatePrompt = () => {
  const input = getFormValues();
  let prompt = `Act as a faq generator. I will provide necessary informations and you will generate faqs in markdown format for me.`;

  if (input.topic) {
    prompt += `\nFaq Topic: ${input.topic}`;
  }
  if (input.content) {
    prompt += `\nCreate faqs from these informations: ${input.content}`;
  }
  if (input.length) {
    prompt += `\nFaq Length: ${input.length}`;
  }
  if (input.tone) {
    prompt += `\nFaq should have a ${input.tone} tone.`;
  }
  if (input.language) {
    prompt += `\nFaq should be in ${input.language}`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
