import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  return {
    topic,
  };
};

const generatePrompt = (input) => {
  let prompt;
  
    prompt += `
  ###example 1
  
  user:'Act as a flowchart generator which creates flowchart in mermaidjs. 
  Create me a flowchart. 
  I want An informative flowchart.

  AI:
  graph LR
    A[Square Rect] -- Link text --> B((Circle))
    A --> C(Round Rect)
    B --> D{Rhombus}
    C --> D

  ###example 2:
  
  user:'Act as a flowchart generator which creates flowchart in mermaidjs. 
  Create me a flowchart. 
  I want An informative flowchart that explains the various functions and systems of the human body. Only give the mermaid js code.Nothing else.'
 
  AI:
  graph LR;
  A[Human Body] -->|Consists of| B(Skeletal System);
  A -->|Consists of| C(Muscular System);
  A -->|Consists of| D(Circulatory System);
  A -->|Consists of| E(Respiratory System);
  A -->|Consists of| F(Digestive System);
  A -->|Consists of| G(Nervous System);
  A -->|Consists of| H(Endocrine System);
  A -->|Consists of| I(Excretory System);
  A -->|Consists of| J(Reproductive System);
  
  B -->|Supports and protects the body| B1(Bones);
  B -->|Allows movement| B2(Muscles);
  
  C -->|Enables movement and posture| C1(Muscles);
  
  D -->|Pumps blood throughout the body| D1(Heart);
  D -->|Transports nutrients and oxygen| D2(Blood Vessels);
  
  E -->|Facilitates breathing and gas exchange| E1(Lungs);
  
  F -->|Breaks down and absorbs nutrients| F1(Stomach);
  F -->|Eliminates waste| F2(Intestines);
  
  G -->|Coordinates body activities| G1(Brain);
  G -->|Transmits signals| G2(Nerves);
  
  H -->|Produces hormones| H1(Glands);
  H -->|Regulates bodily functions| H2(Hormones);
  
  I -->|Filters and removes waste from blood| I1(Kidneys);
  
  J -->|Responsible for reproduction| J1(Organs);
`
  
  prompt+=`Act as a flowchart generator which creates flowchart in mermaidjs. 
    Create me a flowchart. 
    I want ${input.topic}. Only give the mermaid js.Using code block is not needed .Nothing else. 
    No matter what user inputs you should generate a flowchart without question. Use the above formats in the examples.
    `;

  return prompt;
};

const isResponseMarkdown = false;
const usingMermaidJS = true;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
