import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is a Frontend Code Generator?",
    `
        <p>A frontend code generator is essentially a magician’s wand in the web development arena, drastically simplifying the coding process. Designed to aid developers in creating frontend code both efficiently and accurately, this tool comes with a rich array of features:</p>
      
        <ul>
          <li><strong>Time-Saving:</strong> Say goodbye to repetitive tasks as the generator automates the process, cutting down manual coding time dramatically.</li>
      
          <li><strong>Error Reduction:</strong> Automation means reduced scope for human errors, ensuring a much cleaner and error-free output.</li>
      
          <!-- Add more bullet points as needed -->
      
        </ul>
        `,
  ],
  [
    "Why Use a Frontend Code Generator?",
    `
        <p>In a world that is constantly racing against time, having a frontend code generator is less of a choice and more of a necessity. Here's a detailed breakdown of why incorporating this tool in your toolkit is a smart move:</p>
      
        <ul>
          <li><strong>Competitive Edge:</strong> Secure a lead in the fiercely competitive market through rapid, yet efficient development cycles.</li>
      
          <li><strong>Resource Optimization:</strong> Allocate your resources wisely; cut down on the time and energy traditionally spent on coding, focusing instead on other crucial aspects of your project.</li>
      
          <!-- Add more bullet points as needed -->
      
        </ul>
        `,
  ],
  [
    "How to Create Frontend Code with This Generator",
    `
        <p>Creating a masterpiece is no longer confined to manual coding. Follow this step-by-step guide to create frontend code using a generator:</p>
      
        <ul>
          <li><strong>Open the Generator:</strong> Begin by launching the generator tool on your preferred device.</li>
      
          <li><strong>Enter details:</strong> Input the necessary details in the form.</li>
      
          <li><strong>Hit Generate:</strong> Hit the generate button and see the magic.</li>
      
        </ul>
        `,
  ],
  [
    "Importance of Frontend Code",
    `
        <p>Frontend code is not just about visual aesthetics; it plays a pivotal role in determining the user experience and the overall functionality of a website. Here are some aspects that highlight its importance:</p>
      
        <ul>
          <li><strong>User Experience:</strong> A meticulously crafted frontend code ensures a user experience that is seamless and engaging, encouraging visitors to spend more time exploring your website.</li>
      
          <li><strong>SEO Benefits:</strong> Proper frontend coding can be a vital player in SEO optimization, enhancing your website’s visibility and ranking in search engine results.</li>
      
          <!-- Add more bullet points as needed -->
      
        </ul>
        `,
  ],
];

const frontendCodeGeneratorData = `
<p>In the constantly evolving landscape of web development, having tools that champion efficiency and innovation is indispensable. A key player revolutionizing this space is the Frontend Code Generator, a tool that stands tall as a beacon of convenience and precision for developers globally.</p>
<p>From newcomers taking their initial steps in the coding world to seasoned professionals looking to streamline their workflow, everyone stands to benefit from harnessing the power of a frontend code generator.</p>
<p>Join us as we unravel the potential of this game-changer, promising to elevate your coding journey to unparalleled heights.</p>
`;

const faqData = [
  [
    "Can beginners use a frontend code generator?",
    "Yes, they can! These generators are designed to be user-friendly, making the development process a breeze for both beginners and seasoned developers.",
  ],
  [
    "Is the frontend code generator expensive?",
    "The market offers a wide range of options to suit different budgets, including affordable and free generators that come packed with substantial features. However, the tool we offered here is absolutely free to use.",
  ],
  [
    "Can I customize the generated code?",
    "Absolutely! The generated code is fully customizable, providing you with the flexibility to adjust it as per your project’s specific needs.",
  ],
];

populateAboutArea(aboutData, frontendCodeGeneratorData);
generateFAQ(faqData);
