import createDownloadFunctionalityForFlowchart from "../globaljs/downloadFlowChart.js";

const createOutputActions = (outputDOM) => {
  let flowchartActionContainer = document.querySelector(
    "#flowchart-action-container"
  );

  if (!flowchartActionContainer) {
    createDownloadFunctionalityForFlowchart();

    flowchartActionContainer = document.querySelector(
      "#flowchart-action-container"
    );

    const fullScreenIconContainer = document.createElement("div");
    fullScreenIconContainer.innerHTML = `
        <svg height="14px" version="1.1" viewBox="0 0 14 14" width="14px" xmlns="http://www.w3.org/2000/svg" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns" xmlns:xlink="http://www.w3.org/1999/xlink"><title/><desc/><defs/><g fill="none" fill-rule="evenodd" id="Page-1" stroke="none" stroke-width="1"><g fill="white" id="Core" transform="translate(-215.000000, -257.000000)"><g id="fullscreen" transform="translate(215.000000, 257.000000)"><path d="M2,9 L0,9 L0,14 L5,14 L5,12 L2,12 L2,9 L2,9 Z M0,5 L2,5 L2,2 L5,2 L5,0 L0,0 L0,5 L0,5 Z M12,12 L9,12 L9,14 L14,14 L14,9 L12,9 L12,12 L12,12 Z M9,0 L9,2 L12,2 L12,5 L14,5 L14,0 L9,0 L9,0 Z" id="Shape"/></g></g></g></svg>
        `;
    fullScreenIconContainer.style.cursor = "pointer";

    fullScreenIconContainer.addEventListener("click", (e) => {
      outputDOM.requestFullscreen();
    });

    flowchartActionContainer.appendChild(fullScreenIconContainer);
  }
};

export default createOutputActions;
