function generateFAQ(faqArray) {
  const faqArea = document.querySelector(".faq-area");
  const faqContainer = document.createElement("div");

  faqArray.forEach(([question, answer]) => {
    const detailsElement = document.createElement("details");

    const summaryElement = document.createElement("summary");
    summaryElement.textContent = question;

    const plusIcon = document.createElement("div");
    plusIcon.innerHTML = `
    <svg xmlns="http://www.w3.org/2000/svg" width="23" height="20" viewBox="0 0 28 29" fill="none">
        <path d="M7.63672 15.083H12.998V20.4443C12.998 20.9893 13.4463 21.4463 14 21.4463C14.5537 21.4463 15.002 20.9893 15.002 20.4443V15.083H20.3633C20.9082 15.083 21.3652 14.6348 21.3652 14.0811C21.3652 13.5273 20.9082 13.0791 20.3633 13.0791H15.002V7.71777C15.002 7.17285 14.5537 6.71582 14 6.71582C13.4463 6.71582 12.998 7.17285 12.998 7.71777V13.0791H7.63672C7.0918 13.0791 6.63477 13.5273 6.63477 14.0811C6.63477 14.6348 7.0918 15.083 7.63672 15.083Z" fill="#1C1C1E"/>
    </svg>
    `;
    summaryElement.appendChild(plusIcon);

    const answerElement = document.createElement("p");
    answerElement.textContent = answer;

    detailsElement.appendChild(summaryElement);
    detailsElement.appendChild(answerElement);

    faqContainer.appendChild(detailsElement);
    faqArea.appendChild(faqContainer);
  });
}

export default generateFAQ;
