const signUpFormContainer = document.querySelector(".cta-form-container");
const signUpForm = document.querySelector("#cta-form");
const emailInputField = document.querySelector("#cta-form-email-input");
const authError = document.querySelector("#auth-error-list");
const successMessageContainer = document.querySelector(
  "#success-message-container"
);
const successMessage = document.querySelector("#success-message");

signUpForm.addEventListener("submit", async (e) => {
  e.preventDefault();

  const email = emailInputField.value;
  try {
    const response = await fetch(
      `https://test.onethread.app/api/v1/accounts/signup`,
      {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({
          email: email,
        }),
      }
    );

    if (response.ok) {
      signUpForm.style.display = "none";
      successMessageContainer.style.display = "block";
      successMessage.textContent = "Thank You! Please check your mail.";
    } else {
      const data = await response.json();
      data.errors.forEach((error) => {
        const li = document.createElement("li");
        li.textContent = error.message;
        authError.appendChild(li);
      });
    }
  } catch (error) {
    console.log(error);
  }
});
