const returnShortVersionOfToolDataset = (dataset) => {
  return dataset.map((category) => {
    return {
      ...category,
      categoryTools: category.categoryTools.slice(0, 4),
    };
  });
};

function getRandomInt(min, max) {
  return Math.random() * (max - min) + min;
}

const getRandomTools = (tools) => {
  const linkOfToolBeingRendered = window.location.pathname.slice(0, -1); //remove '/' from the last part of link

  const filteredTools = tools.filter((tool) => {
    return tool.link !== linkOfToolBeingRendered;
  });

  const filteredToolsLength = filteredTools.length;
  const arraySliceEnd = getRandomInt(4, filteredToolsLength);
  const arraySliceStart = arraySliceEnd - 4;

  const slicedTools = filteredTools.slice(arraySliceStart, arraySliceEnd);
  return slicedTools;
};

const returnShortVersionOfToolDatasetForSimilarTools = (dataset) => {
  return dataset.map((category) => {
    return {
      ...category,
      categoryTools: getRandomTools(category.categoryTools),
    };
  });
};

export default returnShortVersionOfToolDataset;
export { returnShortVersionOfToolDatasetForSimilarTools };
