import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;

  return {
    topic,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a google sheet formula generator. Write an formula that:${input.topic}. Give the answer in markdown format with formulas in code blocks.`;
  prompt += `
  Examples:
   user: Write a formula in google sheets that Sum of column A when column B is customer and column C starts with VIP.
   AI:
   Here is the formula you need:

    =SUMIFS(A:A, B:B, "customer", C:C, "VIP*")

    This formula uses the SUMIFS function, which sums the values in column A where the corresponding values in column B are "customer" and the values in column C start with "VIP". The asterisk (*) is a wildcard character that matches any sequence of characters.
    
    user: Write a formula in google sheets that Count the number of unique values in column D.
    AI:
    Here is the formula you need:
    =COUNTA(UNIQUE(D:D)) Explanation: The UNIQUE function returns an array of unique values from a range. The COUNTA function then counts the number of values in this array, effectively counting the number of unique values in column D.

    user: Write a formula in google sheets that Extract the domain from the email addresses in column F.
    AI:
    Here is the formula you need:
    =ARRAYFORMULA(IFERROR(REGEXEXTRACT(F:F, "@(.+)")) Explanation: The REGEXEXTRACT function extracts matching substrings according to a regular expression. In this case, it extracts the domain from the email addresses in column F. The IFERROR function returns an empty string for cells where the REGEXEXTRACT function fails (i.e., cells that don't contain an email address). The ARRAYFORMULA function allows the other functions to operate on an entire range of cells rather than a single cell.

    `;
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJSUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
