import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a grading rubric generator. Write a grading rubric in markdown format in ${input.language} with these grading topic related informations: ${input.topic}.`;

  prompt += `
        Create a table with the gradings.
    `;

  return prompt;
};

const output = document.querySelector("#output");

const observer = new MutationObserver(function (mutationsList) {
  for (let mutation of mutationsList) {
    if (mutation.type === "attributes" && mutation.attributeName === "class") {
      output.style.justifyContent = "start";
      output.style.overflow = "auto";
      observer.disconnect();
    }
  }
});

let config = { attributes: true, childList: false, subtree: false };
observer.observe(output, config);

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
