import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;

  return { topic };
};

function generatePrompt(input) {
  let prompt =
    "Act as a haiku generator. Give 5 haikus in markdown format,but also keep haiku format based on the following information:\n";
  if (input.topic) {
    prompt += `Haiku topic: ${input.topic}.`;
  }

  prompt += `
  '''
  Put commas between each line of the haiku. A good Haiku answers three questions: Where, When, and What.

  For example, consider this poem by the Shakespeare of Haiku poetry, Basho:
  
 1) On a leafless bough \n
  
    A crow is perched— \n
  
    The autumn dusk. \n
  '''
  `;
  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
