import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const language = document.getElementById("language").value;

  return {
    type,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Human Resource Advisor persona generator. Write a Human Resource Advisor persona for me in markdown format with the following information:`;

  if (input.type) {
    prompt += `
    I need a Human Resource Advisor for this company: ${input.type}.
    `;
  }

  if (input.language) {
    prompt += `Generate the Human Resource Advisor persona in ${input.language};`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
