import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is an Instagram Post Generator?",
    `
    <p>Think of the Instagram Post Generator as your digital artist, keen to aid you in concocting the most captivating posts. It is a playground of creativity where you can:</p>
    <ul>
      <li><strong>Explore diverse templates,</strong> ranging from minimalist designs to vibrant palettes, suiting varied themes and moods.</li>
      <li><strong>Unleash Creativity through integrated editing tools</strong> that allow for seamless image and text adjustments.</li>
      <li><strong>Imbibe Uniqueness by personalizing each post,</strong> adding elements that speak your brand language.</li>
      <li><strong>Assurance Before Posting through a preview option</strong> ensuring that what you post is nothing short of perfection.</li>
    </ul>
    `,
  ],
  [
    "Why Use an Instagram Post Generator?",
    `
    <p>Utilizing an Instagram Post Generator can be likened to having a magic wand that elevates your Instagram game manifold. Here’s why it is a game-changer:</p>
    <ul>
      <li><strong>Brand Cohesion:</strong> Ensuring a consistent theme that echoes your brand's voice, enhancing recognition and recall.</li>
      <li><strong>Creative Freedom:</strong> With an array of design options, it grants you the freedom to experiment and innovate, keeping your feed fresh and engaging.</li>
      <li><strong>Resource Optimization:</strong> Save on time and resources by using ready-to-use templates and quick editing tools.</li>
      <li><strong>Budget-Friendly Options:</strong> Find a plan that suits your budget, with a range of free and premium features to choose from.</li>
    </ul>
    `,
  ],
  [
    "How Instagram Post Generator Works?",
    `
    <p>Discover the seamless functioning of the Instagram Post Generator that operates based on a few simple steps, ensuring a hassle-free creation process:</p>
    <ol>
      <li><strong>Template Wonderland:</strong> Dive into a pool of templates, each offering a unique canvas to paint your brand story.</li>
      <li><strong>Personalization at its Best:</strong> With a rich palette of customization options, tailor each post to echo your brand’s essence.</li>
      <li><strong>Preview to Perfection:</strong> Ensure each post is polished to perfection with preview and edit options before you go live.</li>
      <li><strong>Ready, Set, Post!:</strong> With a click, your crafted masterpiece is ready to be showcased to your audience, capturing hearts and minds alike.</li>
    </ol>
    `,
  ],
  [
    "How to Create an Instagram Post With This Generator",
    `
    <p>Creating an artistic Instagram post using the generator is as simple as ABC. Here’s a step-by-step guide to help you sail through:</p>
    <ol>
      <li><strong>Initialization:</strong> Kickstart your journey by launching the generator and acquainting yourself with its features.</li>
      <li><strong>Template Selection:</strong> Browse through a spectrum of templates to find the one that sings in harmony with your brand's tone.</li>
      <li><strong>Crafting to Core:</strong> Harness the power of customization tools to craft a post that is a true reflection of your brand’s ethos.</li>
      <li><strong>Preview and Tweak:</strong> Before hitting post, take a moment to review and make the necessary tweaks to ensure a flawless output.</li>
      <li><strong>Voila!:</strong> With a confident click, unveil your creation to the world, ready to enchant your audience and garner engagement.</li>
    </ol>
    `,
  ],
  [
    "Importance of Instagram Post",
    `
    <p>Behind every Instagram post lies an opportunity to forge a deeper connection with your audience. Understanding this critical aspect will reveal that a well-articulated post can:</p>
    <ul>
      <li><strong>Narrate a Story:</strong> Utilize each post as a canvas to narrate a part of your brand’s journey, fostering a deeper connection with your audience.</li>
      <li><strong>Build a Community:</strong> Engaging content invites interactions, fostering a community of loyal followers.</li>
      <li><strong>Visual Storytelling:</strong> Beyond words, a picture speaks a thousand words; use visually rich posts to tell your story vibrantly.</li>
      <li><strong>ROI Enhancement:</strong> With captivating posts, increase your potential to drive higher engagement and, consequently, a better return on investment (ROI).</li>
    </ul>
    `,
  ],
];

const faqData = [
  [
    "Is there an option to schedule posts with the generator?",
    "Yes, our generator offers the added convenience of scheduling posts, ensuring timely and consistent content delivery."
  ],
  [
    "Is the generator beginner-friendly?",
    "Absolutely! Designed with a user-centric approach, our generator is intuitive and easy to use, making it perfect for both beginners and seasoned users."
  ],
  [
    "Can I use the generator on my mobile device?",
    "Certainly. Our generator is optimized for all devices, including mobiles, ensuring seamless post creation wherever you are."
  ],
  [
    "How does the generator ensure data security?",
    "Your data's security is our top priority. We employ stringent security measures to ensure that your information remains confidential and protected at all times."
  ],
  [
    "Are there any usage restrictions on the generator?",
    "While our generator offers a comprehensive set of features in its free version, our premium plans unlock even more functionalities and customization options for an enhanced experience."
  ]
];

populateAboutArea(aboutData);
generateFAQ(faqData);
