import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const language = document.getElementById("language").value;

  return {
    type,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Interior Designer persona generator. Write a Interior Designer persona for me in markdown format with the following information:`;

  if (input.type) {
    prompt += `
    Create the persona for this interior: ${input.type}.
    `;
  }

  if (input.language) {
    prompt += `Generate the Interior Designer persona in ${input.language};`;
  }

  prompt += `
The persona will not contain any avatar or images.
`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
