import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const audience = document.querySelector("#audience").value;
  const language = document.getElementById("language").value;

  return {
    type,
    audience,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a IT Support Persona Generator. Write a IT Support Persona for me in markdown format with the following information:`;

  if (input.type) {
    prompt += `
    Create the persona with these company details: ${input.type}.
    `;
  }

  if (input.audience) {
    prompt += `
     The company target audience is : ${input.audience}.
    `;
  }

  if (input.language) {
    prompt += `Generate the IT Support Persona in ${input.language};`;
  }

  prompt += `
The persona will not contain any avatar or images. An IT Support Persona is a fictional representation of your typical user or customer, designed to reflect the needs, challenges, and behavior patterns of your user base.
`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
