import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const projectType = document.querySelector("#projectType").value;
  const projectDescription = document.querySelector(
    "#projectDescription"
  ).value;
  const dependencies = document.querySelector("#dependencies").value;

  return {
    projectType,
    projectDescription,
    dependencies,
  };
};

const generatePrompt = (input) => {
  let prompt = `Generate code for a JavaScript project of type ${input["projectType"]} that ${input["projectDescription"]}.`;

  if (input["dependencies"]) {
    prompt += ` Use the following dependencies: ${input["dependencies"]}`;
  }

  prompt += `Give the response in markdown format.
  `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJSUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
