import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const jobTitle = document.getElementById("jobTitle").value;
  const industry = document.getElementById("industry").value;
  const language = document.getElementById("language").value;
  const other = document.getElementById("other").value;

  return {
    jobTitle,
    industry,
    language,
    other,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a job description generator and generate a job description based on the provided inputs.`;

  if (input["jobTitle"]) {
    prompt += `
        Job Title: ${input.jobTitle}.
    `;
  }

  if (input.industry) {
    prompt += `
        Industry: ${input.industry}.
    `;
  }

  if (input.language) {
    prompt += `
       The job description should be in ${input.language}.
    `;
  }

  if (input.other) {
    prompt += `
        Other Informations: ${input.other}.
    `;
  }

  prompt += "Give the job description in markdown format.";

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.3;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
