import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  let jobTitle = document.getElementById("job-title").value;
  let experience = document.getElementById("experience").value;
  let jobRequirements = document.getElementById("job-requirements").value;
  let language = document.getElementById("language").value;

  return {
    jobTitle,
    experience,
    jobRequirements,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as an interview questions generator. Generate interview questions for me with the following information in markdown format:`;

  if (input["jobTitle"]) {
    prompt += `
        Job Title: ${input["jobTitle"]}
      `;
  }

  if (input["experience"]) {
    prompt += `
        Inteview canididate experience level: ${input["experience"]}
      `;
  }

  if (input["jobRequirements"]) {
    prompt += `
         Job Requirements: ${input["jobRequirements"]}
      `;
  }

  if (input["language"]) {
    prompt += `
        Language of the questions: ${input["language"]}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
