import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const topic = document.getElementById("topic").value;
  const expectation = document.querySelector("#expectation").value;
  const language = document.getElementById("language").value;

  return {
    type,
    topic,
    expectation,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a journalist persona generator. Write a journalist persona for me in markdown format with the following information:`;

  prompt += `
I am a journalist.
`;
  if (input.type) {
    prompt += `
    I work in a ${input.type}.
    `;
  }

  if (input.topic) {
    prompt += `I am making a news on this topic : ${input.topic}.`;
  }

  if (input.expectation) {
    prompt += `
    People's expectation from me is : ${input.expectation}.
    `;
  }

  if (input.language) {
    prompt += `Generate the journalist persona in ${input.language};`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
