const addClickEventToCopyButton = () => {
  document.querySelectorAll(".copy-button").forEach((copyBtn) => {
    copyBtn.addEventListener("click", function (e) {
      let text;
      if (copyBtn.classList.contains("all-copy")) {
        const output = document.querySelector("#output");
        text = output.textContent;
      } else {
        const copyIconSvg = e.target;
        const copyIconContainer = copyIconSvg.parentElement;
        const preElement = copyIconContainer.parentElement;
        text = preElement.textContent; // the text of the code block
      }

      navigator.clipboard
        .writeText(text)
        .then(() => {
          // Changing the SVG to the correct sign SVG after successful copying
          this.innerHTML = `
                <svg xmlns="http://www.w3.org/2000/svg" width="25" height="25" fill="#cecece" class="bi bi-check" viewBox="0 0 16 16">
                    <path d="M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z"/>
                  </svg>`;
        })
        .catch((err) => {
          console.error("Could not copy text: ", err);
        });
    });
  });
};

export default addClickEventToCopyButton;
