import createToolsCards from "../globaljs/createToolsCards.js";
import t from "../globaljs/allToolsData.js";
import returnShortVersionOfToolDataset from "../globaljs/returnShortVersionOfToolDataset.js";

const mainElement = document.querySelector("main");
const toolsAreaTop = document.querySelector("#tools-area-top");
const searchBar = document.querySelector("#search-bar");
const categorySelector = document.querySelector("#category-selector");
const goBackSvg = document.createElement("div");

goBackSvg.innerHTML = `
<svg width="29" height="28" viewBox="0 0 29 28" fill="none" xmlns="http://www.w3.org/2000/svg">
  <path d="M22.6667 3.5H6.33333C5.05 3.5 4 4.55 4 5.83333V22.1667C4 23.45 5.05 24.5 6.33333 24.5H22.6667C23.95 24.5 25 23.45 25 22.1667V5.83333C25 4.55 23.95 3.5 22.6667 3.5ZM22.6667 12.8333H15.6667V5.83333H22.6667V12.8333ZM13.3333 5.83333V12.8333H6.33333V5.83333H13.3333ZM6.33333 15.1667H13.3333V22.1667H6.33333V15.1667ZM15.6667 22.1667V15.1667H22.6667V22.1667H15.6667Z" fill="#98A2B3"/>
</svg>
`;
goBackSvg.style.cursor = "pointer";

window.onhashchange = () => {
  const categoryInUrl = window.location.hash.substring(1); // Remove the #

  if (categoryInUrl) {
    const categoryDataNeedsToBeShown = t.find((category) => {
      return category.categoryUrl === categoryInUrl;
    });

    toolsAreaTop.insertBefore(goBackSvg, toolsAreaTop.firstChild);
    categorySelector.style.display = "none";

    createToolsCards([categoryDataNeedsToBeShown]);
    mainElement.scrollIntoView();
  } else {
    toolsAreaTop.removeChild(goBackSvg);
    categorySelector.style.display = "block";

    const shortVersionOfToolDataset = returnShortVersionOfToolDataset(t);
    createToolsCards(shortVersionOfToolDataset);
  }
};

goBackSvg.addEventListener("click", () => {
  location.hash = "";
  history.replaceState("", "", location.pathname);
  mainElement.scrollIntoView();
});
