import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  let grade = document.getElementById("grade").value;
  let subjects = document.getElementById("subjects").value;
  let topic = document.getElementById("topic").value;
  let verb = document.getElementById("verb").value;
  let language = document.getElementById("language").value;

  return {
    grade,
    subjects,
    topic,
    verb,
    language,
  };
};

const generatePrompt = (input) => {
  let lessonPlan = `Act as a lesson plan generator. 
    Generate a lesson plan in markdown format in ${input.language} based on the provided inputs.`;

  if (input.grade) {
    lessonPlan += `
          Grade: ${input.grade}
          `;
  }

  if (input.subjects) {
    lessonPlan += `
          Subjects: ${input.subjects}
          `;
  }

  if (input.topic) {
    lessonPlan += `
          Topic: ${input.topic}
          `;
  }

  if (input.verb) {
    lessonPlan += `
          Bloom Verb Selection: ${input.verb}
          `;
  }

  return lessonPlan;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
