import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const description = document.querySelector("#description").value;
  const language = document.querySelector("#language").value;
  const style = document.querySelector("#style").value;
  const keywords = document.querySelector("#keywords").value;

  return { description, language, style, keywords };
};

const generatePrompt = (input) => {
  let prompt = `Create a LinkedIn post in ${input.language} with a ${input.style} style. The post should include the following description: ${input.description}.`;

  if (input.keywords) {
    prompt += ` Include these keywords in the post: ${input.keywords}`;
  }

  prompt += `
    ###Examples:
    user: Create a LinkedIn post in English with a professional style. The post should include the following description: Excited to announce that I've started a new role at XYZ Company. 
    AI: I'm thrilled to announce that I've embarked on a new journey with XYZ Company. As I step into this exciting phase, I look forward to contributing my skills and learning from the talented team. #NewBeginnings #CareerGrowth #XYZCompany
    `;

  prompt += "Give the response in markdown format. Use msx 3000 characters.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
