import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const listicleDetails = document.querySelector("#listicleDetails").value;
  const targetAudience = document.querySelector("#targetAudience").value;
  const tone = document.querySelector("#tone").value;
  const language = document.querySelector("#language").value;

  return {
    listicleDetails,
    targetAudience,
    tone,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt = `I want you to act as a listicle Generator.I will provide you with necessary informations and it will be your job to create a compelling and informative listicle.`;

  if (input.listicleDetails) {
    prompt += `Listicle topic: ${input.listicleDetails}.`;
  }

  if (input.targetAudience) {
    prompt += `Listicle audience :${input.targetAudience}.`;
  }

  if (input.tone) {
    prompt += `listicle tone: ${input.tone}.`;
  }

  if (input.language) {
    prompt += `The listicle will be in ${input.language}.`;
  }

  prompt += `Rememeber these while creating the listicle:
  They have short, punchy, descriptive titles that tell the reader exactly what they’re going to get, often before they even click on the Google search result or the social media link.
  They’re formatted in a way that is exceedingly easy to skim to get to the exact information you want, making them a massive victory for fast access to information and usability.
  They can break down a complex topic into easily digestible chunks, which can be parsed in order or consumed at the rate the user wants to see.
  They can be shared and skimmed easily, and if even a single nugget of value triggers the user’s satisfaction, they can easily click to share it themselves.
  They’re relatively easy to write. Pick a topic, set a number, and fill it out. You can even fluff it up with a little more formatting, like if the Qualaroo article added subsections for URL, Price, or other information to the description. A listicle can easily hit 3,000+ words, depending on the topic and the number chosen.
  Listicles can target core keywords while still hitting an array of related long-tail keywords. Smaller listicles can target long-tail keywords and feed into larger listicles and topic pillars as well.
  Listicles are easy to update. If an item is removed or changes enough that it doesn’t belong on the list, it can easily be removed and a new one put in its place or the list number adjusted. This makes listicles a simple kind of content to keep up to date for search ranking purposes.
  `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
