import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const companyDetails = document.getElementById("companyDetails").value;
  const marketingChannels = document.getElementById("marketingChannels").value;
  const currentRevenue = document.getElementById("currentRevenue").value;
  const revenueGrowth = document.getElementById("revenueGrowth").value;
  const marketingBudget = document.getElementById("marketingBudget").value;
  const currentCustomerCount = document.getElementById(
    "currentCustomerCount"
  ).value;
  const customerCountGrowth = document.getElementById(
    "customerCountGrowth"
  ).value;
  const language = document.getElementById("language").value;

  return {
    companyDetails,
    marketingChannels,
    currentRevenue,
    revenueGrowth,
    marketingBudget,
    currentCustomerCount,
    customerCountGrowth,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a marketing plan generator. Generate a marketing plan for me in markdown format with the following informations: `;

  if (input.companyDetails) {
    prompt += `My company details: ${input.companyDetails}. `;
  }

  if (input.marketingChannels) {
    prompt += `My marketing channels: ${input.marketingChannels}. `;
  }

  if (input.currentRevenue) {
    prompt += `My current revenue: ${input.currentRevenue}. `;
  }

  if (input.revenueGrowth) {
    prompt += `My desired revenue growth: ${input.revenueGrowth}. `;
  }

  if (input.marketingBudget) {
    prompt += `My marketing budget: ${input.marketingBudget}. `;
  }

  if (input.currentCustomerCount) {
    prompt += `My current customer count: ${input.currentCustomerCount}. `;
  }

  if (input.customerCountGrowth) {
    prompt += `My desired customer count growth: ${input.customerCountGrowth}. `;
  }

  if (input.language) {
    prompt += `Use this language in the marketing plan: ${input.language}. `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
