import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const context = document.getElementById("context").value;
  const purpose = document.getElementById("purpose").value;
  const comparisons = document.getElementById("comparisons").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    context,
    purpose,
    comparisons,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a metaphor generator. I will provide necessary informations and you will generate all the 12 types
  (Primary Metaphor,
    Complex Metaphor,
    Mixed Metaphor,
    Dead Metaphor,
    Creative Metaphor,
    Extended Metaphor,
    Conceptual Metaphor,
    Implied Metaphor,
    Root Metaphor,
    Visual Metaphor,
    Organizational Metaphor,
    Submerged Metaphor)
   of metaphors for me.`;

  if (input.topic) {
    prompt += `\nThe metaphor is about: ${input.topic}.`;
  }
  if (input.context) {
    prompt += `\nMetaphor context: ${input.context}.`;
  }
  if (input.purpose) {
    prompt += `\nPurpose/tone: ${input.purpose}.`;
  }
  if (input.comparisons) {
    prompt += `\nI want these to be included in the metaphor: ${input.comparisons}.`;
  }
  if (input.language) {
    prompt += `\nMetaphors should be in ${input.language}.`;
  }

  prompt += `
  ###
    Follow these definitions of different types of metaphors when generating 12 types of metaphors:
    1 – Primary Metaphor
    The most basic type of metaphor is the primary metaphor. Primary metaphors are used in daily life speech and studies. For example,

    Life is a dream
    In this metaphor, two different things are compared, so the meaning is very clear.

    2 – Complex Metaphor
    Grouping of primary metaphors is called complex metaphors. In these metaphors, we compare two or more things. For example,

    Her eyes caught the melody and reflected it in radiance.
    This sentence is composed of two metaphors (i) eyes caught the melody, and (ii) eyes reflected the melody in radiance.

    3 – Mixed Metaphor
    Mixed metaphors are distant for comedy. They intentionally combine two metaphors that are inappropriate/silly.

    Example

    After getting this job, I am flying high and into the valleys of happiness.

    4 – Dead Metaphor
    A dead metaphor is a metaphor that has the spellbound fundamental image of its meaning due to repetitive and popular use.

    Example

    The thread flew through the eye of the needle.

    5 – Creative Metaphor
    Creative metaphor is an original difference that calls plan to itself as a figure of speech.

    Example

    She is a shining star.

    6 – Extended Metaphor
    The extended metaphor is a comparison between two different things that carry throughout the cycle of sentences in a paragraph of a poem.

    Example

    Dickson days,

    Hope is the thing with feathers that perches in the soul,

    and sings the tune — what the words,

    and never stops at all,

    7 – Conceptual Metaphor
    In conceptual metaphor one though is implicit in conditions of a different.

    Example

    Argument is war.

    8 – Implied Metaphor
    An implied metaphor is a metaphor that compares two different things without bringing up one of them.

    Example

    My dad is my rock.

    9 – Root Metaphor
    A root metaphor is directly interrelated to people, culture, characteristics, and perception of life.

    Example

    Life is a journey.

    10 – Visual Metaphor
    A visual metaphor is an image that the viewer is meant to understand as a symbol for something else. It is also the representation of a person, place, thing, or thought by a visual image.

    11 – Organizational Metaphor
    Organizational metaphor is a comparison used to define the fundamental aspects of an institute and describe its method of operation.

    12 – Submerged Metaphor
    Submerged metaphor is a type of metaphor in which one of the terms is indirect fairly than acknowledged explicitly.
`;
  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
