import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const tone = document.querySelector("#tone").value;
  const audience = document.querySelector("#audience").value;
  const language = document.querySelector("#language").value;

  return {
    topic,
    tone,
    audience,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a newsletter generator. Generate a newsletter in markdown format with the following informations:`;

  if (input["topic"]) {
    prompt += `Newsletter topic: ${input["topic"]}`;
  }

  if (input["tone"]) {
    prompt += `Newsletter tone: ${input["tone"]}`;
  }

  if (input["audience"]) {
    prompt += `Newsletter audience: ${input["audience"]}`;
  }

  if (input["language"]) {
    prompt += `Newsletter language: ${input["language"]}`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
