import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const brandName = document.getElementById("brandName").value;
  const brandDetails = document.getElementById("brandDetails").value;
  const topic = document.getElementById("topic").value;
  const contact = document.getElementById("contact").value;
  const date = document.getElementById("date").value;
  const language = document.getElementById("language").value;

  return {
    brandName,
    brandDetails,
    topic,
    contact,
    date,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a press release generator. Generate a press release for my brand in markdown format with the following informations:\n\n`;

  if (input.brandName) {
    prompt += `My Brand Name: ${input.brandName}\n\n`;
  }

  if (input.brandDetails) {
    prompt += `My Brand Details: ${input.brandDetails}\n\n`;
  }

  if (input.topic) {
    prompt += `Press Release Topic: ${input.topic}\n\n`;
  }

  if (input.contact) {
    prompt += `Press Release Contact: ${input.contact}\n\n`;
  }

  if (input.date) {
    prompt += `Press Release Date: ${input.date}\n\n`;
  }

  if (input.language) {
    prompt += `Press Release Language: ${input.language}\n\n`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
