import handleFormSubmit from "../globaljs/formSubmitHandler.js";

document.getElementById("selector").addEventListener("input", function () {
  const styleIndividual = this.value == "Individual" ? "block" : "none";
  const styleCompany = this.value == "Company" ? "block" : "none";
  document.querySelectorAll(".individualInput").forEach((individualInput) => {
    individualInput.style.display = styleIndividual;
  });

  document.querySelectorAll(".companyInput").forEach((companyInput) => {
    companyInput.style.display = styleCompany;
  });
});

const getFormValues = () => {
  const websiteName = document.querySelector("#websiteName").value;
  const contactEmail = document.querySelector("#contactEmail").value;
  const websiteUrl = document.querySelector("#websiteUrl").value;
  const dateField = document.querySelector("#dateField").value;
  const selector = document.querySelector("#selector").value;
  const companyName = document.querySelector("#companyName").value;
  const companyAddress = document.querySelector("#companyAddress").value;
  const individualName = document.querySelector("#individualName").value;
  const googleAnalytics = document.querySelector("#googleAnalytics").checked;
  const facebook = document.querySelector("#facebook").checked;
  const twitter = document.querySelector("#twitter").checked;
  const youtube = document.querySelector("#youtube").checked;
  const whatsapp = document.querySelector("#whatsapp").checked;

  return {
    websiteName,
    contactEmail,
    websiteUrl,
    dateField,
    selector,
    companyName,
    companyAddress,
    individualName,
    googleAnalytics,
    facebook,
    twitter,
    youtube,
    whatsapp,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Generate a properly formatted privacy policy for a website with the following details:\n";

  if (input.websiteName) {
    prompt += `Website name: ${input.websiteName}\n`;
  }
  if (input.contactEmail) {
    prompt += `Contact email: ${input.contactEmail}\n`;
  }
  if (input.websiteUrl) {
    prompt += `Website URL: ${input.websiteUrl}\n`;
  }
  if (input.dateField) {
    prompt += `Date of policy update: ${input.dateField}\n`;
  }
  if (
    input.selector === "Company" &&
    input.companyName &&
    input.companyAddress
  ) {
    prompt += `Website authority: ${input.selector} -comapany name: ${input.companyName}, address: ${input.companyAddress}\n`;
  } else if (input.selector === "Individual" && input.individualName) {
    prompt += `Website authority: ${input.selector} - individual name: ${input.individualName}\n`;
  }

  if (input.googleAnalytics) {
    prompt += "Services used: Google Analytics\n";
  }
  if (input.facebook) {
    prompt += "Services used: Facebook\n";
  }
  if (input.twitter) {
    prompt += "Services used: Twitter\n";
  }
  if (input.youtube) {
    prompt += "Services used: Youtube\n";
  }
  if (input.whatsapp) {
    prompt += "Services used: Whatsapp\n";
  }

  prompt += "Give the privacy policy in markdown format.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.2;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
