import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const productType = document.querySelector("#productType").value;
  const productName = document.querySelector("#productName").value;
  const features = document.querySelector("#features").value;

  return {
    productType,
    productName,
    features,
  };
};

const generatePrompt = (input) => {
  let prompt = `I need to craft a compelling product description in markdown format for our `;
  if (input["productType"]) {
    prompt += `${input["productType"]} `;
  }

  if (!input["productType"]) {
    prompt += `product `;
  }

  if (input["productName"]) {
    prompt += `called ${input["productName"]}. `;
  }

  if (input["features"]) {
    prompt += `that highlights its key features and benefits, such as ${input["features"]}. `;
  }

  prompt += "Use only text, no images.";

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
