import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const industryOrMarket = document.getElementById("industryOrMarket").value;
  const targetAudience = document.getElementById("targetAudience").value;
  const problemOrNeed = document.getElementById("problemOrNeed").value;
  const typeOfProduct = document.getElementById("typeOfProduct").value;
  const uniqueness = document.getElementById("uniqueness").value;
  const budget = document.getElementById("budget").value;
  const trendsAndPreferences = document.getElementById(
    "trendsAndPreferences"
  ).value;
  const language = document.getElementById("language").value;

  return {
    industryOrMarket,
    targetAudience,
    problemOrNeed,
    typeOfProduct,
    uniqueness,
    budget,
    trendsAndPreferences,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a product idea generator.Generate a product idea for me in markdown format with the following informations: `;

  if (input.industryOrMarket) {
    prompt += `Industry or Market or I am targeting: ${input.industryOrMarket}. `;
  }

  if (input.targetAudience) {
    prompt += `Target Audience: ${input.targetAudience}. `;
  }

  if (input.problemOrNeed) {
    prompt += `Problem or Need I want to solve: ${input.problemOrNeed}. `;
  }

  if (input.typeOfProduct) {
    prompt += `Type of Product: ${input.typeOfProduct}. `;
  }

  if (input.uniqueness) {
    prompt += `In the case of how unique or innovative the product
    should be my answer is: ${input.uniqueness}. `;
  }

  if (input.budget) {
    prompt += `My Budget for the product is: ${input.budget}. `;
  }

  if (input.trendsAndPreferences) {
    prompt += `Trends and Preferences I like the product to align with: ${input.trendsAndPreferences}. `;
  }

  if (input.language) {
    prompt += `Generate the idea in : ${input.language}. `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
