import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const productCategorySelector = document.getElementById("productCategory");
productCategorySelector.addEventListener("input", function () {
  checkOther(productCategorySelector, "otherProductCategory");
});

const checkOther = (select, inputId) => {
  const input = document.getElementById(inputId);
  if (select.value === "Other") {
    input.style.display = "block";
  } else {
    input.style.display = "none";
  }
};

const getFormValues = () => {
  const productDescription =
    document.getElementById("productDescription").value;
  const productCategory = document.getElementById("productCategory").value;
  const otherProductCategory = document.getElementById(
    "otherProductCategory"
  ).value;
  const targetAudience = document.getElementById("targetAudience").value;
  const languageSelector = document.getElementById("languageSelector").value;
  return {
    productDescription,
    productCategory,
    otherProductCategory,
    targetAudience,
    languageSelector,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a product name generator. Give some product name in markdown format based on the following information:\n";
  if (input.productDescription) {
    prompt += `Product description: ${input.productDescription}\n`;
  }

  if (input.productCategory === "Other") {
    prompt += `Product category: ${input.otherProductCategory}\n`;
  }

  if (input.productCategory !== "Other") {
    prompt += `Product category: ${input.productCategory}\n`;
  }

  if (input.targetAudience) {
    prompt += `Target audience: ${input.targetAudience}\n`;
  }

  if (input.languageSelector) {
    prompt += `Product name language: ${input.languageSelector}\n`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
