import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a project plan generator. Write a project plan in markdown format in ${input.language} with these project informations: ${input.topic}.`;

  prompt += `
    Create the project plan by following the below steps:
    1. Breakdown the work
    2. Define quality standards
    3. Assign Resources to Tasks
    4. Define the Relationship of Activities
    5. Estimate Resources and Duration of Each Task
    6. Estimate Each Task Cost
    7. Generate Project Plan
    8. Finalize and Approve by Sponsor
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.3;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
