import createDownloadFunctionalityForFlowchart from "../globaljs/downloadFlowChart.js";

const output = document.querySelector("#output");
const timeline = document.createElement("div");
timeline.classList.add("timeline");
const list = document.createElement("ul");
const styleDiv = document.createElement("div");

styleDiv.style.clear = "both";

timeline.appendChild(list);
timeline.appendChild(styleDiv);

document.querySelector("form").addEventListener("submit", function (event) {
  event.preventDefault();

  const title = document.getElementById("title").value;
  const date = document.getElementById("date").value;
  const paragraph = document.getElementById("paragraph").value;

  const li = document.createElement("li");
  const rightContent = document.createElement("div");
  const leftContent = document.createElement("div");
  const h2 = document.createElement("h2");
  const p = document.createElement("p");
  const h3 = document.createElement("h3");

  // Add classes
  rightContent.className = "right_content";
  leftContent.className = "left_content";

  // Add content
  h2.textContent = title;
  p.textContent = paragraph;
  h3.textContent = date;

  // Append elements
  rightContent.appendChild(h2);
  rightContent.appendChild(p);
  leftContent.appendChild(h3);
  li.appendChild(rightContent);
  li.appendChild(leftContent);

  list.appendChild(li);

  output.textContent = "";
  output.appendChild(timeline);

  let flowchartActionContainer = document.querySelector(
    "#flowchart-action-container"
  );

  if (!flowchartActionContainer) {
    createDownloadFunctionalityForFlowchart();

    flowchartActionContainer = document.querySelector(
      "#flowchart-action-container"
    );

    const fullScreenIconContainer = document.createElement("div");
    fullScreenIconContainer.innerHTML = `
    <svg height="14px" version="1.1" viewBox="0 0 14 14" width="14px" xmlns="http://www.w3.org/2000/svg" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns" xmlns:xlink="http://www.w3.org/1999/xlink"><title/><desc/><defs/><g fill="none" fill-rule="evenodd" id="Page-1" stroke="none" stroke-width="1"><g fill="white" id="Core" transform="translate(-215.000000, -257.000000)"><g id="fullscreen" transform="translate(215.000000, 257.000000)"><path d="M2,9 L0,9 L0,14 L5,14 L5,12 L2,12 L2,9 L2,9 Z M0,5 L2,5 L2,2 L5,2 L5,0 L0,0 L0,5 L0,5 Z M12,12 L9,12 L9,14 L14,14 L14,9 L12,9 L12,12 L12,12 Z M9,0 L9,2 L12,2 L12,5 L14,5 L14,0 L9,0 L9,0 Z" id="Shape"/></g></g></g></svg>
    `;
    fullScreenIconContainer.style.cursor = "pointer";

    fullScreenIconContainer.addEventListener("click", (e) => {
      timeline.requestFullscreen();
    });

    flowchartActionContainer.appendChild(fullScreenIconContainer);
  }
});
