import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const textTopic = document.querySelector("#textTopic").value;
  const wordCount = document.querySelector("#wordCount").value;
  return { textTopic, wordCount };
};

function generatePrompt(input) {
  let prompt =
    "Act as random text generator. Give some random text suggestions in markdown format based on the following info:.\n";

  if (input.textTopic) {
    prompt += `text topic: ${input.textTopic}.\n`;
  }

  if (input.wordCount) {
    prompt += `the text should contain max ${input.wordCount} word.\n`;
  }

  prompt += `
  ###example 
  
  user: Act as random text generator. Give some random text suggestions in markdown format based on the following info:text topic:car. The text should contain max 14 word:

  AI:
  1. Fast car zooms down highway, leaving trails of dust.
  2. Engine purrs, ready for the long-awaited road trip.
  3. Traffic jam ahead; drivers honk in frustration.
  4. Family piles into spacious SUV, embarking on vacation.
  5. Classic vintage car shines at the car show event.
  6. Raindrops pitter-patter on the windshield during the storm.
  7. Sports car accelerates, hugging every curve with precision.
  8. Car wash day; sparkling clean vehicle gleams under the sun.
  9. Lost in the city, GPS navigation leads the way home.
  10. Beach adventure in the convertible; wind tousles hair with joy.`;
  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
