import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is a Recipe Generator?",
    `
        <p>A Recipe Generator is a smart kitchen helper. It turns the ingredients you have into a delicious meal plan. Here's how it works:</p>
      
        <ul>
          <li><strong>Ingredient Match:</strong> You list what's in your pantry. The generator matches these to recipes.</li>
      
          <li><strong>Custom Meals:</strong> It considers your diet and food preferences. Then, it suggests meals that fit.</li>
      
          <li><strong>Step-by-Step Guides:</strong> The tool provides recipes with clear instructions. This makes cooking simple.</li>
      
          <li><strong>Shopping List:</strong> It can create a shopping list for missing ingredients. This saves you time.</li>
      
          <li><strong>Variety:</strong> Every day, get new recipe ideas. Never eat a boring meal again.</li>
        </ul>
        `,
  ],
  [
    "Why Use a Recipe Generator?",
    `
        <p>Choosing what to cook can be a challenge. A Recipe Generator simplifies this daily decision. Here's why it's a smart choice:</p>
      
        <ul>
          <li><strong>Saves Time:</strong> A Recipe Generator quickly finds recipes for you. No more scrolling through websites or cookbooks. You enter what you have. It gives you a recipe. This tool helps you make a meal plan fast. You spend less time planning and more time enjoying.</li>
      
          <li><strong>Reduces Waste:</strong> It helps you use what's in your kitchen. You waste less food. The generator suggests recipes for ingredients you already have. This means fewer items go bad. You save money and help the environment.</li>
      
          <li><strong>Expands Your Palate:</strong> The generator offers new and exciting recipes. You try foods and styles you may not know. It pushes you out of your comfort zone. You learn to cook different dishes. Your meals become more interesting.</li>
      
          <li><strong>Personalizes Your Meals:</strong> The tool tailors recipes to your tastes and needs. It can filter for allergies or diets. Whether you're vegan or gluten-free, it finds recipes for you. Your meals fit your lifestyle. They are healthy and enjoyable.</li>
        </ul>
        `,
  ],
  [
    "How Does Recipe Generator Work?",
    `
        <p>A Recipe Generator turns your kitchen into a place of endless possibilities. Let's explore how it brings recipes to life.</p>
      
        <ol>
          <li><strong>Input Your Ingredients:</strong> Start with what you have. List your ingredients in the generator. It's okay if you only have a few items. The generator uses this list to find recipes. You don't need to know what to cook. The generator does that for you.</li>
      
          <li><strong>Set Your Preferences:</strong> Do you have dietary restrictions or preferences? Tell the generator. It can filter recipes to suit your needs. Whether you're vegetarian, allergic to nuts, or love spicy food, it adjusts. The recipes you get fit what you like and can eat.</li>
      
          <li><strong>Discover Recipes:</strong> The generator searches its database. It finds recipes that match your ingredients and preferences. You get a list of meal options. Each comes with a recipe. You see what you can make right away. You can also save recipes for later.</li>
      
          <li><strong>Make Your Meal:</strong> Choose a recipe from the list. The generator gives you step-by-step instructions. These are easy to follow. They help you cook the meal. You can also see if you need any extra ingredients. If you do, the generator can add them to a shopping list.</li>
        </ol>
        `,
  ],
  [
    "How to Create a Recipe Generator With This Generator?",
    `
        <p>Creating a personalized Recipe Generator with Onethread is straightforward. Here's how to get started:</p>
      
        <ol>
          <li><strong>Access Onethread:</strong> Go to the Onethread Free Tools Lists. Find the Recipe Generator tool. This is your starting point.</li>
      
          <li><strong>Input Data:</strong> Enter a list of ingredients you have. You can also include your dietary preferences. The tool needs this information to work for you.</li>
      
          <li><strong>Customize Settings:</strong> Choose filters for diet, meal type, or cuisine. The generator uses these settings to find the right recipes.</li>
      
          <li><strong>Generate Recipes:</strong> Hit the generate button. The tool will provide a list of recipes that match your ingredients and preferences.</li>
      
          <li><strong>Save and Share:</strong> You can save your favorite recipes. The tool also allows you to share them with friends or family.</li>
        </ol>
        `,
  ],
  [
    "Importance of Recipe Generator",
    `
        <p>A Recipe Generator is more than just a digital cookbook. It's a tool that brings ease and creativity to your kitchen. Here's why it's important:</p>
      
        <ul>
          <li><strong>Efficient Meal Planning:</strong> It takes the guesswork out of what to cook. You save time planning meals for the week. The generator offers recipes based on what you already have. This means less stress and more time for you.</li>
      
          <li><strong>Reduces Food Waste:</strong> By using ingredients you already own, it cuts down on waste. This is good for the planet and your wallet. You make the most of every item in your pantry.</li>
      
          <li><strong>Dietary Management:</strong> It supports your health goals. Whether you're gluten-free or counting calories, the generator can find recipes that meet your needs. You stay on track with your diet with ease.</li>
      
          <li><strong>Learning and Experimentation:</strong> It introduces you to new cuisines and cooking techniques. You learn as you cook. This expands your culinary skills and tastes.</li>
        </ul>
        `,
  ],
];



const aboutDataHeading = `
<p>Have you ever been stuck on what to cook? A Recipe Generator is your answer. It's a tool that creates meal ideas when you need inspiration. You enter the ingredients you have.</p>
<p>The generator does the rest. It suggests recipes using those items. This tool is part of Onethread's Free Tools List. It's easy. It's quick. And it's helpful. With a Recipe Generator, you can:</p>
<ul>
  <li>Save time.</li>
  <li>Reduce food waste.</li>
  <li>Enjoy new dishes.</li>
</ul>
<p>Start cooking with ease. Let the Recipe Generator guide your next meal.</p>

`

const faqData = [
  [
    "Does the Recipe Generator create a shopping list?",
    "Some Recipe Generators can create a shopping list for you based on the recipes you choose and the ingredients you'll need.",
  ],
  [
    "How does a Recipe Generator help reduce food waste?",
    "By suggesting recipes that use what you already have, it helps you consume all your purchased ingredients before they spoil.",
  ],
  [
    "Can I input multiple ingredients at once into the Recipe Generator?",
    "Yes, you can usually enter several ingredients at once, and the generator will show you recipes that use as many of those ingredients as possible.",
  ],
  [
    "Will the Recipe Generator accommodate food allergies?",
    "Most generators allow you to exclude certain ingredients to avoid allergy issues.",
  ],
];


populateAboutArea(aboutData,aboutDataHeading);
generateFAQ(faqData);
