let lowestIndex;
const map = new Map();

function returnSortedMapValues(map) {
  let sortedValues = [...map.entries()]
    .sort((a, b) => a[0] - b[0])
    .map((entry) =>
      typeof entry[1] === "object"
        ? [...entry[1].entries()]
            .sort((a, b) => a[0] - b[0])
            .map((entry) => entry[1])
        : entry[1]
    );
  return sortedValues.flat().join("");
}

let lowestWordIndex; // this will get priority

const mapOfWordsAndLowestCharIndex = new Map();

function createRegexForWord(wordIndex) {
  mapOfWordsAndLowestCharIndex.set(wordIndex, 0);

  let wordCharMap = map.get(wordIndex);
  if (!wordCharMap) {
    const map = new Map();
    map.set(wordIndex, map);
    wordCharMap = map.get(wordIndex);
  }

  if (map.has(wordIndex + 1) && map.has(wordIndex - 1)) {
    map.set(wordIndex, new Map([[0, "[A-Za-z]+"]]));
    map.set(wordIndex + 1, new Map([[0, "[A-Za-z]+"]]));
  }

  if (lowestWordIndex !== 0 && !lowestWordIndex) {
    lowestWordIndex = wordIndex;
    map.set(lowestWordIndex, new Map([[0, "[A-Za-z]+"]]));
  }

  if (wordIndex < lowestWordIndex) {
    // means this word is not explored before, so we can safely just use [A-Za-z]+
    map.set(wordIndex, new Map([[0, "[A-Za-z]+"]]));
    if (!map.has(wordIndex + 1)) {
      // means the prev lowest is not next to current lowest
      map.set(lowestWordIndex, new Map([[0, ".*[A-Za-z]+"]]));
    }
  }

  if (map.has(wordIndex - 1) || map.has(wordIndex + 1)) {
    map.set(wordIndex, new Map([[0, "[A-Za-z]+"]]));
  }

  if (!map.has(wordIndex)) {
    // means the above code could not add the index in map
    map.set(index, new Map([[0, ".*[A-Za-z]+"]]));
  }

  return returnSortedMapValues(map);
}

const handleRegexForFirstCharOfWords = (wordIndex, currentWord) => {
  const lowestCharIndexOfCurrentWord =
    mapOfWordsAndLowestCharIndex.get(wordIndex);

  const prevWordCharMap = map.get(wordIndex - 1);
  const lastCharIndexOfPrevWord = prevWordCharMap
    ? [...prevWordCharMap.keys()].pop()
    : undefined;
  const lastCharOfPrevWord = prevWordCharMap
    ? prevWordCharMap.get(lastCharIndexOfPrevWord)
    : null;

  let wordCharMap = map.get(wordIndex);
  const firstCharOfCurrentWord = wordCharMap.get(0).at(-1);
  let charInLowestIndex = wordCharMap.get(lowestCharIndexOfCurrentWord); // since char can be '.*c'
  charInLowestIndex =
    charInLowestIndex === ".*[A-Za-z]+" || charInLowestIndex === "[A-Za-z]+"
      ? "[A-Za-z]+"
      : charInLowestIndex.at(-1);

  if (
    (map.has(wordIndex - 1) &&
      lastCharIndexOfPrevWord + 1 === lowestCharIndexOfCurrentWord) ||
    wordIndex === lowestWordIndex
  ) {
    wordCharMap.set(lowestCharIndexOfCurrentWord, charInLowestIndex);
  } else if (!map.has(wordIndex - 1) && wordIndex !== lowestWordIndex) {
    wordCharMap.set(lowestCharIndexOfCurrentWord, `.*${charInLowestIndex}`); // else add '.*' to char
  } else if (firstCharOfCurrentWord === " ") {
    // this will happen when space btn is clicked
    wordCharMap.set(0, "  ");
  }

  if (lastCharOfPrevWord === "" && lowestCharIndexOfCurrentWord !== 0) {
    wordCharMap.set(lowestCharIndexOfCurrentWord, `.*${charInLowestIndex}`);
  } else if (lowestCharIndexOfCurrentWord === 0) {
    wordCharMap.set(lowestCharIndexOfCurrentWord, charInLowestIndex);
  }

  if (!map.has(wordIndex - 1) && lowestWordIndex !== wordIndex) {
    wordCharMap.set(lowestCharIndexOfCurrentWord, `.*${charInLowestIndex}`);
  }

  // get the current word from words array via wordIndex
  // get the last char of it by using at(-1)
  // check if the last char and lastCharOfCurrentWord equal
  // if not equal then add '.*' before the first char of next word.
  // else set the regex for next char as `${char.at(-1)}`
  const lengthOfCurrentWord = currentWord.length;
  const lengthOfCurrentWordCharMap = [...wordCharMap.values()].join("").length;

  const lastCharOfCurrentWord = currentWord.at(-1);
  const lastCharOfCurrentWordCharMap = [...wordCharMap]
    .sort((a, b) => a[0] - b[0])
    .pop() // returns [index, char]
    .pop() // returns char
    .at(-1);

  const nextWordCharMap = map.get(wordIndex + 1);
  if (nextWordCharMap) {
    const firstCharOfNextWord = nextWordCharMap.get(0).at(-1);
    if (
      lengthOfCurrentWord !== lengthOfCurrentWordCharMap &&
      lastCharOfCurrentWord !== lastCharOfCurrentWordCharMap
    ) {
      nextWordCharMap.set(0, `.*${firstCharOfNextWord}`);
    } else if (lengthOfCurrentWord === lengthOfCurrentWordCharMap) {
      nextWordCharMap.set(0, firstCharOfNextWord);
    }
  }
};

function createRegexForChar(wordIndex, index, value, words) {
  if (value === "") return;
  let copiedValue = value;
  if (value === "." || value === "[" || value === "]") {
    copiedValue = `\\${value}`;
  }

  if (lowestWordIndex !== 0 && !lowestWordIndex) {
    // lowestIndex = index;
    // map.set(lowestIndex, `${copiedValue}`);
    lowestWordIndex = wordIndex;
    mapOfWordsAndLowestCharIndex.set(wordIndex, index); // since lowestWordIndex is not set we can say this is the first char selected

    const charMap = new Map();
    map.set(wordIndex, charMap);
    map.get(wordIndex).set(index, `${copiedValue}`);
  }

  if (wordIndex < lowestWordIndex) {
    lowestWordIndex = wordIndex;
  }

  let wordCharMap = map.get(wordIndex);
  if (!wordCharMap) {
    const charMap = new Map();
    map.set(wordIndex, charMap);
    wordCharMap = map.get(wordIndex); // update the value
    wordCharMap.set(index, `${copiedValue}`);
    mapOfWordsAndLowestCharIndex.set(wordIndex, index);
  }

  if (wordCharMap.has(index + 1) && wordCharMap.has(index - 1)) {
    wordCharMap.set(index, copiedValue);
    wordCharMap.set(
      index + 1,
      wordCharMap
        .get(index + 1) // get the index+1 of charMap
        .at(-1) // get the last part of char. '.*s' --> 's'
    );
    // map.set(index, `${copiedValue}`);
    // map.set(index + 1, map.get(index + 1).at(-1));
  }

  let lowestCharIndexOfTheWord = mapOfWordsAndLowestCharIndex.get(wordIndex);
  const charInLowestIndex = wordCharMap.get(lowestCharIndexOfTheWord).at(-1);
  if (index < lowestCharIndexOfTheWord) {
    if (wordCharMap.has(index + 1)) {
      wordCharMap.set(index, `${copiedValue}`);
      // no need to make the lowest '.*lowest' since it is right next to current lowest char
      wordCharMap.set(lowestCharIndexOfTheWord, charInLowestIndex.at(-1));
    } else {
      wordCharMap.set(lowestCharIndexOfTheWord, `.*${charInLowestIndex}`);
      wordCharMap.set(index, `${copiedValue}`);
    }
    mapOfWordsAndLowestCharIndex.set(wordIndex, index);
    lowestCharIndexOfTheWord = index; // temporarily set the variable for the code below
  }

  if (wordCharMap.has(index - 1)) {
    // if the selected char has a char before it
    wordCharMap.set(index, `${copiedValue}`);
  }

  if (
    wordCharMap.has(index + 1) && // if the selected char has a char in front of it
    lowestCharIndexOfTheWord !== index && // there is seperate logic for handling this case
    !wordCharMap.has(index - 1) // the selected char does not have a char before it
  ) {
    wordCharMap.set(index, `.*${copiedValue}`);
    wordCharMap.set(index + 1, wordCharMap.get(index + 1).at(-1));
  }

  if (!wordCharMap.has(index)) {
    // means the above code could not add the index in map
    wordCharMap.set(index, `.*${copiedValue}`);
  }

  [...map.keys()].forEach((key) => {
    const wordIndex = key;
    const currentWord = words[wordIndex].segment;

    handleRegexForFirstCharOfWords(wordIndex, currentWord);
  });
  return returnSortedMapValues(map);
}

function handleInput(text) {
  document.getElementById("display").innerText = text;

  let char_buttons = document.getElementById("char-buttons");
  let word_buttons = document.getElementById("word-buttons");

  char_buttons.innerHTML = "";
  word_buttons.innerHTML = "";

  const segmenterFr = new Intl.Segmenter("en", { granularity: "word" });
  const words = Array.from(segmenterFr.segment(text));

  for (let j = 0; j < words.length; j++) {
    const currentWord = words[j].segment;

    for (let i = 0; i < currentWord.length; i++) {
      let btn = document.createElement("button");
      btn.innerText = currentWord[i];
      btn.dataset.indexOfWordCharIsRelatedTo = j;

      btn.onclick = function (e) {
        document.querySelector("#output").textContent = createRegexForChar(
          j,
          i,
          currentWord[i],
          words
        );
        btn.disabled = true;

        const storedWordIndex = Number(
          e.target.dataset.indexOfWordCharIsRelatedTo
        );
        const btnOfWordCharIsRelatedTo =
          document.querySelector("#word-buttons").childNodes[storedWordIndex];
        btnOfWordCharIsRelatedTo.disabled = true;
      };

      char_buttons.appendChild(btn);
    }
  }

  for (let i = 0; i < words.length; i++) {
    let btn = document.createElement("button");

    btn.innerText = words[i].segment;
    btn.onclick = function () {
      document.querySelector("#output").textContent = createRegexForWord(i);
      btn.disabled = true;

      const charBtns = document.querySelectorAll(
        `[data-index-of-word-char-is-related-to='${i}']`
      );
      for (let btn of charBtns) {
        btn.disabled = true;
      }
    };
    word_buttons.appendChild(btn);
  }
}
