import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const changes = [];

document
  .getElementById("changesOneLiner")
  .addEventListener("keypress", function (e) {
    if (e.key === "Enter") {
      e.preventDefault();

      const featureOneLiner = e.target.value;

      const selectedFeature = document.querySelector("#changes").value;

      const change = featureOneLiner + " - " + selectedFeature;
      changes.push(change);

      const li = document.createElement("li");
      li.textContent = change;

      document.getElementById("featureList").appendChild(li);
      e.target.value = "";
    }
  });

function getFormValues() {
  const title = document.getElementById("title").value;
  const tone = document.getElementById("tone").value;
  const language = document.getElementById("language").value;

  return {
    title,
    tone,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a release note generator. I will give you release note details you will provide me a release note in markdown format.`;

  if (input.title) {
    prompt += `The title of the release note is ${input.title}`;
  }

  if (changes.length > 0) {
    prompt += `The changes are ${changes.join(", ")}`;
  }

  if (input.tone) {
    prompt += `The tone of the release note is ${input.tone}`;
  }

  if (input.language) {
    prompt += `The language of the release note is ${input.language}`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
