import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const resume = document.querySelector("#resume").value;
  const jobDescription = document.querySelector("#jobDescription").value;
  const other = document.querySelector("#other").value;
  const language = document.querySelector("#language").value;

  return { resume, jobDescription, other, language };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as an resume summary generator. Generate a resume summary with the following informations: ";

  if (input.resume) {
    prompt += `My resume: ${input.resume}\n`;
  }

  if (input.jobDescription) {
    prompt += `Job description of the job I am applying to ${input.jobDescription}.\n`;
  }

  if (input.other) {
    prompt += `I think these are also important information about me ${input.other}.\n`;
  }

  if (input.language) {
    prompt += `The summary should be in ${input.language}.\n`;
  }

  prompt +=
    "Give the response in markdown format. The summary should 80 words.";

  prompt += `
  ###Resume Summary Examples:
  1)
  Account Manager with two years of experience in sales, marketing and customer service. Contributed to over 50+ accounts, including clients like Volkswagen and Deutsche Bank. Presented marketing strategies to senior management to drive ROI and improve conversion rate. Improved sales efficiency by 25% by redesigning key sales support workflows and introducing standard reporting templates.
  
  2)
  Senior project manager with five years of experience leading feature design and development of enterprise-oriented products. Results include:
  - Proposed solution and built team to solve number one cause of customer complaints, and completed project six months ahead of schedule.
  - Reduced development costs by 25 percent by creating plan to merge related products into one, more streamlined product.
  - Oversaw integration of external technology solution by leading 5 developers and 9 testers from two companies, resulting in an additional $1MM of sales.

  3) "Detail-oriented Software Engineer with 5+ years of experience specializing in web and software development, database systems, and networking solutions. Proficient in JavaScript, Python, and Java. Proven ability to manage large scale projects and lead teams to success. Seeking to leverage my technical and leadership skills to drive innovation at XYZ Company."
  4)"Experienced Project Manager with over 10 years of experience managing large-scale, high-budget projects across various industries. Proven track record of delivering projects on time and within budget, leading cross-functional teams, and improving operational efficiency. Excellent communication and organizational skills. Seeking to leverage my expertise to drive project success at ABC Company.

  ### 
  Important Tips You SHOULD Use for Summary creation:
  Your summary will be one of the first things a recruiter will read on your resume. It needs to be as impactful as possible - to do this, make sure you follow these steps:
  • The summary should not include ineffective buzzwords and cliches like 'team player', 'hard working' or 'self-starter'. These are overused and vague, and reduce the impact of your profile.
  
  • Describe your biggest accomplishments (e.g. increased sales, won an award). Use numbers and metrics where you can.
  `;
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
