import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const productDeatils = document.querySelector("#productDetails").value;
  const targetAudience = document.querySelector("#targetAudience").value;
  const tone = document.querySelector("#tone").value;
  let language = document.getElementById("language").value;

  return {
    productDeatils,
    targetAudience,
    tone,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a sales email generator. Generate irresistible sales email for my product with the following informations in markdown format:`;

  if (input.productDeatils) {
    prompt += `
        My product details: ${input.productDeatils}.
      `;
  }

  if (input.targetAudience) {
    prompt += `
        My product's target audience: ${input.targetAudience}.
      `;
  }

  if (input.tone) {
    prompt += `
        The tone of the email should be ${input.tone}.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the email in ${input.language}.
      `;
  }

  prompt += `
    Remember these while creating the sales email:

    Write engaging and short subject lines
    Pique a reader’s interest with an intriguing question in the subject
    give a A personalized intro 
    Use nongeneric opening lines
    Tailor the body length to your audience
    Avoid talking about yourself
    Include a clear call to action and next steps
    Send the email at the right time
    Add value with a follow-up email

    Example email format 1:

    Email Subject: Need some more leads?

    Hi {{ FirstName}}.
    I was wondering if you felt you had a scalable lead gen solution in place?
    Reason I ask is, our software allows you to automatically find your prospect's contact info and then send them automated, personalized emails on autopilot.
    Sales people can use this to add 100 prospects at once and then automatically queue up the emails to get sent to them.
    Interested in a demo?

    Example email format 2:

    [Prospect names],
    Recently I came across [Company name] in the [Directory where I found their information] and I wanted to reach out. My name is Jake Jorgovan and recently I finished up a website design project for [case study client] and wanted to reach out to similar companies.
    When I came across the [Client's website], I noticed [review of 2-3 things that I found wrong with the clients website]. With the [case study client], we were able to build a professional site and get it up and running in under three weeks. Their site is mobile friendly and extremely easy for anyone at the company to update.
    If you are interested in rebuilding your website, please let me know and we would be more than happy to help you out. Also, I have attached a case study for [Case study client] with a raving testimonial from the owner of the company.
    Thank you [Prospect name] and I look forward to hearing from you.
    Sincerely,
    {your name}
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
