import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const about = document.getElementById("about").value;
  const userNeeds = document.querySelector("#user-needs").value;
  const language = document.getElementById("language").value;

  return {
    about,
    userNeeds,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a sentiment analysis generator. Generate a sentiment analysis with emojis for me with the following informations in markdown format:`;

  if (input.about) {
    prompt += `
        Run a sentiment analysis for this text: ${input.about}.
      `;
  }

  if (input.userNeeds) {
    prompt += `
        What the user wants to know : ${input.userNeeds}. Give the sentiment analysis result by answering user's question   .
    `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}.
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
