import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const surveyDetails = document.getElementById("surveyDetails").value;
  const questionCount = document.getElementById("questionCount").value;
  const language = document.getElementById("language").value;

  return {
    surveyDetails,
    questionCount,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a survey questions generator. Generate survey questions for me with the following informations in markdown format:`;

  if (input.surveyDetails) {
    prompt += `
        Survey details: ${input.surveyDetails}
      `;
  }

  if (input.questionCount) {
    prompt += `
        I want to generate ${input.questionCount} questions.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  prompt += `Include explanation for how a certain question is useful.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
