import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const keywords = document.getElementById("keywords").value;
  const topic = document.getElementById("topic").value;
  const language = document.getElementById("language").value;

  return {
    keywords,
    topic,
    language,
  };
};

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a seo title tag generator. Generate seo friendly title tags with the below informations in markdown format:`;

  if (input.keywords) {
    prompt += `Keywords related to the title: ${input.keywords}`;
  }

  if (input.topic) {
    prompt += `Topic of the writing the title is about : ${input.topic}`;
  }

  if (input.language) {
    prompt += `The title should be in ${input.language}`;
  }

  prompt += `Return 10 titles.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
