import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const tone = document.querySelector("#tone").value;
  const topic = document.querySelector("#topic").value;
  const audience = document.querySelector("#audience").value;

  return {
    language,
    tone,
    topic,
    audience,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a tweet generator. Write a 260 characters tweet in markdown format in ${input.language} with ${input.tone} tone.}`;

  prompt += `
    Tweet description: ${input.topic}
`;

  prompt += `
    Target Audience: ${input.audience}
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
