import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const userJourney = document.querySelector("#user-journey").value;
  const language = document.querySelector("#language").value;
  return {
    topic,
    userJourney,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a user journey amp generator which creates a user journey map in mermaidjs. 
    Create me a user journey map.`;

  if (input.topic) {
    prompt += `
            Generate the user journey map with this product detail: ${input.topic}.
        `;
  }

  if (input.userJourney) {
    prompt += `
            Generate the user journey map for this user journey: ${input.userJourney}.
        `;
  }

  if (input.language) {
    prompt += `
    Use ${input.language} for flowchart informations.
    `;
  }

  prompt += `
Only give the mermaid js.Using code block is not needed .Nothing else.No matter what user inputs you should generate a user journey map without question. User journey map identifies key interactions and touchpoints with your website or mobile app and describes in detail the customer’s goals, motivations, and feelings at each step.`;

  prompt += `
  ###example:
  
  user:'Act as a user journey map generator which creates user journey map in mermaidjs. 
  Create me a user journey map. 
  I want An informative user journey map.

  AI:
  sequenceDiagram
  participant User
  participant Website
  participant Emojis

  User ->> Website: Visits Website
  Note over User: 😐 Neutral

  Website -->> User: Displays Landing Page
  Note over User: 😃 Satisfied

  User ->> Website: Clicks "Sign Up"
  Note over User: 😕 Dissatisfied

  Website -->> User: Shows Sign-Up Form
  Note over User: 😐 Neutral

  User ->> Website: Fills in Details
  Note over User: 😐 Neutral
  User -->> Website: Submits Form

  Website -->> User: Sends Verification Email
  Note over User: 😐 Neutral

  User ->> User: Checks Email
  Note over User: 😃 Satisfied

  User ->> Website: Clicks Verification Link
  Note over User: 😃 Satisfied
  Website -->> User: Verifies Email

  User ->> Website: Logs In
  Note over User: 😃 Satisfied

  Website -->> User: Redirects to Dashboard
  Note over User: 😃 Satisfied

  User ->> Website: Performs Actions
  Note over User: 😃 Satisfied
  `;

  return prompt;
};

const isResponseMarkdown = false;
const usingMermaidJS = true;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
