import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const brandName = document.getElementById("brandName").value;
  const value = document.getElementById("value").value;
  const language = document.getElementById("language").value;

  return {
    brandName,
    value,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a value proposition generator. Generate value propositions for my brand in markdown format with the following informations:\n\n`;

  if (input.brandName) {
    prompt += `My Brand Name: ${input.brandName}\n\n`;
  }

  if (input.value) {
    prompt += `Values My Brand Is Providing: ${input.value}\n\n`;
  }

  if (input.language) {
    prompt += `Value Propositions Language: ${input.language}\n\n`;
  }

  prompt += `
  ### examples:
  1) # Tap the app, get a ride
      Uber is the smartest way to get around. One tap and a car comes directly to you. Your driver knows exactly where to go. And payment is completely cashless.

  2) # Why there's nothing quite like iPhone.
  Every iPhone we've made - and we mean every single one-was built on the same belief. That a phone should be more than a collection of features. That, above all, a phone should be absolutely simple, beautiful, and magical to use.

  3) # iPhone 15 Pro
  Titanium. So Strong. So Light. So Pro.
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
