document.querySelector("form").addEventListener("submit", function (event) {
  event.preventDefault();

  const fields = ["website_name", "url", "search_url"];

  let fieldValues = {};
  fields.forEach(function (field) {
    fieldValues[field] = document.getElementById(field).value;
  });

  let schema = {
    "@context": "https://schema.org/",
    "@type": "WebSite",
    name: fieldValues["website_name"],
    url: fieldValues["url"],
    potentialAction: {
      "@type": "SearchAction",
      target: `${fieldValues["search_url"]}{search_term_string}`,
      "query-input": "required name=search_term_string",
    },
  };

  const prettySchema = JSON.stringify(schema, null, 4);
  const output = document.getElementById("output");
  output.textContent = "";
  output.classList.remove("empty");

  const pre = document.createElement("pre");
  const code = document.createElement("code");

  code.textContent = `
  <script type="application/ld+json">
  ${prettySchema}
  </script>
  `;

  pre.appendChild(code);
  output.appendChild(pre);

  hljs.highlightAll();
});
