import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const codeDescription = document.getElementById("codeDescription").value;
  const dependencies = document.getElementById("dependencies").value;

  return {
    codeDescription,
    dependencies,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a front end code generator. You should only generate code that is relevant to the frontend.
    Generate code with the following informations:
    `;

  if (input.codeDescription) {
    prompt += `Code description: ${input.codeDescription}`;
  }

  if (input.dependencies) {
    prompt += `Use these dependencies: ${input.dependencies}`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
