import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is a Function Name Generator?",
    `
    <p>A Function Name Generator is your go-to tool to simplify the often complex task of naming the functions in your code. The generator steps in to assist you in coming up with names that are:</p>
    <ul>
      <li><strong>Descriptive:</strong> The names generated vividly describe the function's role, making it easier to understand the code at a glance.</li>
      <li><strong>Consistent:</strong> Maintain a cohesive naming convention throughout your project, enhancing readability and maintainability.</li>
      <li><strong>Professional:</strong> Leveraging a generator ensures that the names adhere to professional standards, giving your project a polished look.</li>
    </ul>
    `,
  ],
  [
    "Why Use a Function Name Generator?",
    `
    <p>In a coding landscape where efficiency and clarity are paramount, using a Function Name Generator is not just a choice but a necessity. Let’s explore why:</p>
    <ul>
      <li><strong>Time-Saver:</strong> No more losing precious time brainstorming the perfect name; the generator does it for you in a jiffy.</li>
      <li><strong>Error Minimization:</strong> Automated name generation means a reduced likelihood of errors, keeping your codebase neat and error-free.</li>
      <li><strong>Enhanced Collaboration:</strong> Working with a team becomes a breeze, thanks to the uniform naming convention facilitated by the generator.</li>
    </ul>
    `,
  ],
  [
    "How Function Name Generator Works?",
    `
    <p>Ready to figure out the workings of this remarkable tool? Let’s break it down step by step:</p>
    <ol>
      <li><strong>Input Specifications:</strong> Start with providing the basic details of the function, helping the generator understand its core purpose and functionality.</li>
      <li><strong>Algorithm Magic:</strong> Next, the generator's algorithm takes over, crafting names based on best practices and the input provided, a seamless blend of creativity and logic.</li>
      <li><strong>Output:</strong> Finally, a list of suggested names pops up, ready for you to pick the most suitable one, bringing an end to your naming dilemmas.</li>
    </ol>
    `,
  ],
  [
    "How to Create a Function Name with This Generator",
    `
    <p>Creating a function name using the generator is a straightforward and hassle-free process. Let’s guide you through it:</p>
    <ol>
      <li><strong>Access the Generator:</strong> Launch the tool from your preferred device.</li>
      <li><strong>Provide Details:</strong> Enter the necessary details about the function’s role and attributes.</li>
      <li><strong>Generate Names:</strong> Hit ‘generate’ to get a list of potential names.</li>
      <li><strong>Choose the Best:</strong> Browse through the generated names and choose the one that resonates with your function’s purpose.</li>
    </ol>
    `,
  ],
  [
    "Importance of Function Name",
    `
    <p>Understanding the critical role of a well-crafted function name can be a game-changer in your coding journey. Here's why they are crucial:</p>
    <ul>
      <li><strong>Readability:</strong> Good function names enhance the readability of your code, making it accessible and understandable to others (and to "future you").</li>
      <li><strong>Debugging:</strong> When bugs arise, having descriptive function names can significantly ease the debugging process.</li>
      <li><strong>Reusability:</strong> Aptly named functions pave the way for reusability, allowing you and others to reuse functions with clear understanding and confidence.</li>
    </ul>
    `,
  ],
];

const functionNameGeneratorData = `
<p>In the vibrant ecosystem of programming, having a tool that crafts distinctive and descriptive function names is a boon. Enter the Function Name Generator, a dynamic assistant in your coding toolkit, eager to steer your project towards perfection with the ideal function names.</p>
<p>From rookies just starting out in coding to experienced developers aspiring to maintain a clean and organized codebase, the Function Name Generator emerges as an indispensable ally.</p>
<p>Stick around as we delve into the incredible benefits and operation of this wonderful tool, designed to make your coding voyage smoother and more intuitive.</p>
`;

const faqData = [
  [
    "Is the tool beginner-friendly?",
    "Certainly! Our generator is designed to be intuitive, making it an excellent resource for beginners to adopt proper naming conventions."
  ],
  [
    "Can it cater to multiple programming languages?",
    "Yes, our generator is adaptable and supports a variety of programming languages, ensuring developers of all backgrounds can benefit."
  ],
  [
    "Do I have to pay to use the function name generator?",
    "We offer both free and premium versions. While our free version provides a solid foundation for naming, the premium version comes with additional advanced features for enhanced utility."
  ]
];

populateAboutArea(aboutData, functionNameGeneratorData);
generateFAQ(faqData);
