import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const description = document.getElementById("description").value;
  const convention = document.getElementById("convention").value;

  return {
    description,
    convention,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a function name generator. Generate function names from the following informations:`;

  if (input.description) {
    prompt += `Function description: ${input.description}`;
  }

  if (input.convention) {
    prompt += `Follow this naming convention: ${input.convention}`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJsUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJsUsed
);
