const createCustomSelect = (parent, inputId, listItems) => {
  const input = document.createElement("input");
  input.type = "text";
  input.id = inputId;
  input.className = "selectValue";
  input.value = listItems[0]; // Set the value to the first item in the list
  input.readOnly = true;

  // Create SVG element
  const svg = document.createElementNS("http://www.w3.org/2000/svg", "svg");
  svg.setAttribute("width", "17");
  svg.setAttribute("height", "17");
  svg.setAttribute("viewBox", "0 0 17 17");
  svg.setAttribute("fill", "none");

  const path = document.createElementNS("http://www.w3.org/2000/svg", "path");
  path.setAttribute(
    "d",
    "M3.01366 4.57715L1.83366 5.75715L8.50033 12.4238L15.167 5.75715L13.987 4.57715L8.50033 10.0638L3.01366 4.57715Z"
  );
  path.setAttribute("fill", "#667085");
  svg.appendChild(path);

  // Create ul element
  const ul = document.createElement("ul");
  ul.id = "selectOptions";
  ul.className = "hidden";

  // Create li elements from listItems
  listItems.forEach((item) => {
    const li = document.createElement("li");
    li.className = "option";
    li.tabIndex = "0";
    li.textContent = item;
    ul.appendChild(li);
  });

  // Create div elements
  const inputArea = document.createElement("div");
  inputArea.id = "inputArea";
  inputArea.appendChild(input);
  inputArea.appendChild(svg);

  parent.appendChild(inputArea);
  parent.appendChild(ul);
};

export default createCustomSelect;
