const createDownloadFunctionalityForFlowchart = () => {
  const flowchartActionsContainer = document.createElement("div");
  flowchartActionsContainer.id = "flowchart-action-container";

  const downloadSvgIconContainer = document.createElement("div");
  downloadSvgIconContainer.classList.add("download-svg-icon-container");

  downloadSvgIconContainer.addEventListener("click", () => {
    let generatedFlowchart = document.querySelector("#output svg");

    if (!generatedFlowchart) {
      generatedFlowchart =
        document.querySelector(".timeline") ||
        document.querySelector("#cy") ||
        (document.querySelector(".canvasjs-chart-container") &&
          document.querySelector("#output")); // return the output dom
    }

    htmlToImage
      .toJpeg(generatedFlowchart, { quality: 1 })
      .then(function (dataUrl) {
        var link = document.createElement("a");
        link.download = "my-image-name.jpeg";
        link.href = dataUrl;
        link.click();
      });
  });
  downloadSvgIconContainer.innerHTML = `
<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <path d="M12 3V16M12 16L16 11.625M12 16L8 11.625" stroke="#ffffff" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path> <path d="M15 21H9C6.17157 21 4.75736 21 3.87868 20.1213C3 19.2426 3 17.8284 3 15M21 15C21 17.8284 21 19.2426 20.1213 20.1213C19.8215 20.4211 19.4594 20.6186 19 20.7487" stroke="#ffffff" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path> </g></svg>`;

  flowchartActionsContainer.appendChild(downloadSvgIconContainer);
  const outputHeader = document.querySelector("#output-header");
  //append the svg icon as first element
  outputHeader.appendChild(flowchartActionsContainer);
};

export default createDownloadFunctionalityForFlowchart;
