import populateAboutArea from "../globaljs/populate-about-area.js";
import generateFAQ from "../globaljs/faqGenerator.js";

const aboutData = [
  [
    "What is an Inspirational Quote Generator?",
    `
    <p>An Inspirational Quote Generator is more than just a digital tool; it's a haven of positivity designed to craft quotes that uplift and inspire every individual who interacts with it. In its essence, it strives to infuse an undying spirit of positivity into your day, acting as a beacon of light that guides you through the ups and downs of life with a nurturing touch of wisdom and insight. Drawing from a rich and expansive database of profound sayings and philosophies, it promises to add that sprinkle of inspiration to every moment of your day.</p>
    `,
  ],
  [
    "Why Use an Inspirational Quote Generator?",
    `
    <p>You might wonder why this tool should find a place in your daily routine. Let's delve into the compelling reasons:</p>
    <ul>
      <li><strong>Personalized Experience:</strong> The generator provides a personalized experience, allowing you to receive quotes that align with your current mood or the theme you choose.</li>
      <li><strong>Daily Inspiration:</strong> With a plethora of insightful quotes, it ensures a fresh dose of inspiration is just a click away, every day.</li>
      <li><strong>Positive Start:</strong> Kickstart your day with a positive note, fostering a mindset that is ready to embrace the day's challenges with a smile.</li>
    </ul>
    `,
  ],
  [
    "How Inspirational Quote Generator Works?",
    `
    <p>Get ready to dive deep into the intricacies of how the Inspirational Quote Generator brings those pearls of wisdom to your screen:</p>
    <ol>
      <li><strong>Initialization:</strong> The journey begins with setting your preferences. Whether you're in a specific mood, admire a particular author, or looking for a quote themed around a specific topic, this is the stage where you fine-tune the specifications to get the quote that fits your needs.</li>
      <li><strong>Algorithm-Driven Process:</strong> The heart of the generator is its algorithm. Leveraging advanced technology, it sifts through a gargantuan database of quotes to find the one that matches your input parameters seamlessly. It's the tech-wizard working behind the scenes to serve you inspiration on a silver platter.</li>
      <li><strong>Presentation of Quotes:</strong> In a matter of moments, the generator brings forth a series of quotes. Here, you are presented with a variety of choices, giving you the liberty to select the one that resonates the most with you. It’s like having a buffet of wisdom at your disposal.</li>
    </ol>
    `,
  ],
  [
    "How to Create an Inspirational Quote With This Generator",
    `
    <p>Unlock the gate to an unending source of inspiration with these simple steps:</p>
    <ol>
      <li><strong>Access the Generator:</strong> Begin your journey by launching the Inspirational Quote Generator on any device, be it your smartphone, tablet, or computer.</li>
      <li><strong>Input Preferences:</strong> Step two involves detailing your preferences, guiding the generator to understand the category or mood of the quote you are envisioning.</li>
      <li><strong>Generate Quotes:</strong> With a simple click on the ‘Generate’ button, the magic begins as the generator starts its search, promising a selection of quotes aligned with your desires.</li>
      <li><strong>Select and Share:</strong> Find that perfect quote? It’s time to share the positivity and wisdom with the world. You can share it across different platforms, spreading joy and inspiration far and wide.</li>
    </ol>
    `,
  ],
  [
    "Importance of Inspirational Quote",
    `
    <p>Understanding why an inspirational quote holds an esteemed place in our lives:</p>
    <ul>
      <li><strong>Mental Boost:</strong> In times of low spirits, a well-chosen quote can work wonders by providing the mental boost needed to rise above challenges.</li>
      <li><strong>Motivation:</strong> Quotes can act like a personal cheerleader, providing the motivation to chase after your goals with a renewed spirit.</li>
      <li><strong>Fresh Perspective:</strong> The beauty of a quote lies in its ability to offer fresh perspectives, helping you navigate life’s situations with a renewed understanding and facilitating personal growth.</li>
    </ul>
    `,
  ],
];

const aboutDataHeading = `
<p>Ever feel stuck in a rut? An inspirational quote generator might be the nudge you need. It's a simple tool. You click a button. It gives you a quote. These quotes can spark motivation, offer comfort, or provide a fresh perspective.</p>
<p>They are like quick chats with wise friends. The best part? You can visit anytime.</p>
<p>No sign-ups. No fees. Just a burst of wisdom waiting to inspire you. Perfect for when you need a lift or a shift in thinking. Try it. Let the words guide you to a brighter spot in your day.</p>
`;

const faqData = [
  [
    "Is there an option to personalize the generated quotes?",
    "Absolutely! Our generator is designed to allow users to customize and tweak the quotes, ensuring they resonate perfectly with your intended message."
  ],
  [
    "Are there any daily limits to generating quotes?",
    "While our generator provides ample freedom with unlimited daily quotes, certain premium features might have some limitations. However, you'll always have access to a vast array of inspiring quotes."
  ],
  [
    "Is the quote generator free to use?",
    "Yes, our primary goal is to spread inspiration. Our generator is free, ensuring everyone has access to a treasure trove of motivational quotes."
  ],
  [
    "Do the quotes come from notable figures?",
    "Indeed, our generator sources quotes from a diverse collection, including esteemed authors, philosophers, and thought leaders, offering you a rich blend of wisdom."
  ],
  [
    "Can I suggest a quote or feature to be incorporated?",
    "We value our user community's input. We're always open to suggestions, allowing you to contribute to our ever-growing collection and features, making inspiration a collaborative journey."
  ]
];

populateAboutArea(aboutData,aboutDataHeading);
generateFAQ(faqData);
