import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const language = document.querySelector("#language").value;

  return { topic, language };
};

const generatePrompt = (input) => {
  let prompt = `Act as a instagram post generator. Generate a 138 characters post in markdown format based on the following informations:`;

  if (input.topic) {
    prompt += `Post Topic: ${input.topic}.`;
  }

  if (input.language) {
    prompt += `Post should be in ${input.language}.`;
  }

  prompt += `
    ###instagram post examples:
    📸✨🌟 Just another day of living my best life! 💃🏼🌞 #SunshineAndSmiles #Happiness #LifeIsGood

    🌿🌸 Embracing nature's beauty one step at a time. 🍃💕 #NatureLover #SereneMoments #PeacefulEscape

    🎨🌈 Creativity knows no bounds! Loving this artsy journey. 🎨✨ #ArtisticSoul #ExpressYourself #PassionProject

    🍔🍟 Foodie adventures with my squad! 😋👯‍♀️ #FoodiesUnite #YummyTreats #GoodTimes

    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
