import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const jobDescription = document.querySelector("#jobDescription").value;
  const level = document.querySelector("#level").value;
  const language = document.querySelector("#language").value;

  return { jobDescription, level, language };
};

const generatePrompt = (input) => {
  let prompt = `Act as a job title generator. Generate 10 job titles in markdown format with the following informations: `;

  if (input.jobDescription) {
    prompt += `My job description is: ${input.jobDescription}. `;
  }
  if (input.level) {
    prompt += `My level is ${input.level}. `;
  }

  if (input.language) {
    prompt += `The job title should be in ${input.language}. `;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
