import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
    const topic = document.querySelector('#topic').value;
    
    return{
        topic
    }
};

const generatePrompt = (input) => {
  let prompt = `Act as a journal prompt generator. Generate 5 random journal prompts for the user to write about.`;

  if(input.topic){
      prompt+=`
      Generate the prompts based on the following informations about the user: ${input.topic}.
      `
  }

  prompt += `
    ###example:
    > Reflect on a recent challenge you faced and how you overcame it. What did you learn from the experience?
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
