import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const keyword = document.getElementById("keyword").value;
  const country = document.getElementById("country").value;
  const language = document.getElementById("language").value;

  return {
    keyword,
    country,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a keyword list generator. I will give you a keyword, 
    you will provide me a list of high performing seo keywords related to it in markdown format.`;

  if (input.keyword) {
    prompt += `The keyword is ${input.keyword}`;
  }

  if (input.country) {
    prompt += `The keywords list should be specific to the country: ${input.country}`;
  }

  if (input.language) {
    prompt += `The language of the keywords is ${input.language}`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
