import createToolsCards from "../globaljs/createToolsCards.js";
import t from "../globaljs/allToolsData.js";
import returnShortVersionOfToolDataset from "../globaljs/returnShortVersionOfToolDataset.js";

const searchResultsDivContainer = document.getElementById(
  "search-results-container"
);

document.addEventListener("click", () => {
  searchResultsDivContainer.style.display = "none";
});

const searchBar = document.getElementById("search-input");
const categorySelector = document.querySelector("#category-selector");
const searchCloseIcon = document.querySelector("#search-close-icon-mobile");

if (window.innerWidth < 640) {
  searchBar.addEventListener("focus", () => {
    categorySelector.style.display = "none";
    searchCloseIcon.style.display = "block";
  });

  searchCloseIcon.addEventListener("click", () => {
    categorySelector.style.display = "block";
    searchCloseIcon.style.display = "none";
  });
}

// const showSearchResult = (toolsThatContainSearchQueryName) => {
//   searchResultsDivContainer.style.backgroundColor = "white";
//   searchResultsDivContainer.style.display = "block";

//   const searchResultsDiv = document.getElementById("search-results");
//   searchResultsDivContainer.removeChild(searchResultsDiv);
//   // removed it to add new search results
//   // I think removing a single parent element is more efficient than removing all search results by using loop

//   const newSearchResultsDiv = document.createElement("div");
//   newSearchResultsDiv.setAttribute("id", "search-results");

//   toolsThatContainSearchQueryName.forEach((tool) => {
//     const toolPageLink = document.createElement("a");
//     toolPageLink.href = tool.link;
//     toolPageLink.textContent = tool.name;

//     newSearchResultsDiv.appendChild(toolPageLink);
//   });

//   searchResultsDivContainer.appendChild(newSearchResultsDiv);
// };

const shortVersionOfToolDataset = returnShortVersionOfToolDataset(t);

const returnCategoryWiseData = () => {
  const categoryNameInUrl = window.location.hash.substring(1);

  if (categoryNameInUrl === "") {
    return t;
  }

  const categoryWiseData = t.find((category) => {
    return category.categoryUrl === categoryNameInUrl;
  });

  return [categoryWiseData];
};

searchBar.addEventListener("input", (e) => {
  const searchQuery = e.target.value.toLowerCase();

  const categoryWiseData = returnCategoryWiseData();
  if ((searchQuery === "") & (window.location.hash === "")) {
    createToolsCards(shortVersionOfToolDataset);
    return;
  } else if ((searchQuery === "") & (window.location.hash !== 0)) {
    createToolsCards(categoryWiseData);
    return;
  }
  const toolsThatContainSearchQueryName = categoryWiseData.map((category) => {
    const toolsThatContainSearchQueryInThisCategory =
      category.categoryTools.filter((tool) => {
        const lowerCaseToolName = tool.name.toLowerCase();
        const toolNameContainsTheInput =
          lowerCaseToolName.includes(searchQuery);

        if (toolNameContainsTheInput) {
          return true;
        }

        return false;
      });

    if (toolsThatContainSearchQueryInThisCategory.length > 0) {
      return {
        ...category,
        categoryTools: toolsThatContainSearchQueryInThisCategory,
      };
    }
    return false;
  });

  createToolsCards(toolsThatContainSearchQueryName);
});
