import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const language = document.getElementById("language").value;

  return {
    type,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Math Tutor Persona Generator. Write a Math Tutor Persona for me in markdown format with the following information:`;

  prompt += `
    I am a math teacher.
    `;

  if (input.type) {
    prompt += `
    my students details: ${input.type}.
    `;
  }

  if (input.language) {
    prompt += `Generate the Math Tutor Persona in ${input.language};`;
  }

  prompt += `
The persona will not contain any avatar or images. 
This persona takes into consideration the needs and learning styles of students, ensuring that each lesson is tailored to meet individual requirements.
`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
