import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const summary = document.querySelector("#summary").value;
  const keywords = document.querySelector("#keywords").value;
  const audience = document.querySelector("#audience").value;
  const tone = document.querySelector("#tone").value;
  const language = document.querySelector("#language").value;

  return { summary, keywords, audience, tone, language };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a meta description generator. Create a 130 words meta description with the following informations: \n";

  if (input.summary) {
    prompt += `The page is about: ${input.summary} \n`;
  }

  if (input.keywords) {
    prompt += `The keywords related to the page are: ${input.keywords} \n`;
  }

  if (input.audience) {
    prompt += `The target audience is: ${input.audience} \n`;
  }

  if (input.language) {
    prompt += `The language of the meta description should be ${input.language} \n`;
  }

  if (input.tone) {
    prompt += `The tone should be: ${input.tone} \n`;
  }

  prompt += `
    ###examples:
    user:Act as a meta description generator.Create a 130 words meta description with the following informations: The page is about: This page provides a comprehensive guide to gardening. The keywords related to the page are: gardening, plants, flowers, vegetables. The target audience is: gardening enthusiasts, home gardeners.The language of the meta description should be english. The tone should be: Professional.
    AI: "Discover the joy of gardening with our comprehensive guide. Learn about different plants, flowers, and vegetables. Get tips and tricks for home gardening. Perfect for gardening enthusiasts and home gardeners. Dive in now!"
  
    user:Act as a meta description generator.Create a 130 words meta description with the following informations: The page is about: A blog post about the latest fashion trends. The keywords related to the page are: fashion, trends, style, clothing. The target audience is: fashion enthusiasts, trend followers.The language of the meta description should be english. The tone should be: Casual.
    AI:"Stay ahead of the curve with our latest blog post on fashion trends. Get the scoop on style, clothing, and more. Perfect for fashion enthusiasts and trend followers. Check it out!"
  
    user:Act as a meta description generator.Create a 130 words meta description with the following informations: The page is about: A product page for a new smartphone. The keywords related to the page are: smartphone, technology, features, specs. The target audience is: tech enthusiasts, smartphone buyers.The language of the meta description should be english. The tone should be: Informational.
    AI:"Dive deep into the world of technology with our new smartphone. Explore its cutting-edge features, detailed specs, and more. This comprehensive guide covers everything you need to know about the smartphone, making it a must-read for tech enthusiasts and smartphone buyers. Don't miss out on this opportunity to learn more about our latest product!"
   
    `;
  return prompt;
};

const isResponseMarkdown = false;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
