import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const companyName = document.getElementById("companyName").value;
  const industry = document.getElementById("industry").value;
  const goal = document.getElementById("goal").value;
  const ethos = document.getElementById("ethos").value;
  const audience = document.getElementById("audience").value;
  const language = document.getElementById("language").value;

  return {
    companyName,
    industry,
    goal,
    ethos,
    audience,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a mission statement generator. Generate one sentence mission statements for my company with the following informations in markdown format:`;

  if (input.companyName) {
    prompt += `
        My company name: ${input.companyName}
      `;
  }

  if (input.industry) {
    prompt += `
        Industry My compnay operate: ${input.industry}.
      `;
  }

  if (input.goal) {
    prompt += `
        The goal of my company: ${input.goal}.
      `;
  }

  if (input.ethos) {
    prompt += `
        The ethos of my company: ${input.ethos}.
      `;
  }

  if (input.audience) {
    prompt += `
        The customers of my company are: ${input.audience}.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  prompt += `
  ###examples:
    Google: Our mission is to organize the world's information and make it universally accessible and useful.
    Shopify: Make commerce better for everyone, so businesses can focus on what they do best: building and selling their products.
    Tesla: To accelerate the world’s transition to sustainable energy.
    Amazon: Our vision is to be earth’s most customer-centric company, where customers can find and discover anything they might want to buy online.
    Microsoft: To help people throughout the world realize their full potential.
    Nike: To bring inspiration and innovation to every athlete in the world.
    TikTok:Our mission is to inspire creativity and bring joy.
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
