import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const handleGenreChange = (selectElement) => {
  const otherGenreInput = document.getElementById("otherGenre");
  if (selectElement.value === "Other") {
    otherGenreInput.style.display = "block";
  } else {
    otherGenreInput.style.display = "none";
  }
};

const genreSelector = document.querySelector("#genre");
genreSelector.addEventListener("change", (event) => {
  handleGenreChange(event.target);
});

const getFormValues = () => {
  let genre = document.querySelector("#genre").value;
  let otherGenre = document.querySelector("#otherGenre").value;
  let storyIdea = document.querySelector("#storyIdea").value;
  let characters = document.querySelector("#characters").value;
  let setting = document.querySelector("#setting").value;
  let plotOutline = document.querySelector("#plotOutline").value;
  let conflictResolution = document.querySelector("#conflictResolution").value;
  let themes = document.querySelector("#themes").value;
  let toneStyle = document.querySelector("#toneStyle").value;
  let targetAudience = document.querySelector("#targetAudience").value;
  let length = document.querySelector("#length").value;
  let visualElements = document.querySelector("#visualElements").value;
  let additionalInstructions = document.querySelector(
    "#additionalInstructions"
  ).value;
  let language = document.querySelector("#language").value;

  return {
    genre: genre === "Other" ? otherGenre : genre,
    storyIdea,
    characters,
    setting,
    plotOutline,
    conflictResolution,
    themes,
    toneStyle,
    targetAudience,
    length,
    visualElements,
    additionalInstructions,
    language,
  };
};

const generatePrompt = () => {
  const input = getFormValues();
  let prompt = `Act as a movie script generator. I will provide information about my movie preferences and you will generate a script in markdown format for me.`;

  if (input.genre) {
    prompt += `\nGenre: ${input.genre}`;
  }
  if (input.storyIdea) {
    prompt += `\nStory Idea/Concept: ${input.storyIdea}`;
  }
  if (input.characters) {
    prompt += `\nCharacters: ${input.characters}`;
  }
  if (input.setting) {
    prompt += `\nSetting/Location: ${input.setting}`;
  }
  if (input.plotOutline) {
    prompt += `\nPlot Outline/Structure: ${input.plotOutline}`;
  }
  if (input.conflictResolution) {
    prompt += `\nConflict and Resolution: ${input.conflictResolution}`;
  }
  if (input.themes) {
    prompt += `\nThemes: ${input.themes}`;
  }
  if (input.toneStyle) {
    prompt += `\nTone and Style: ${input.toneStyle}`;
  }
  if (input.targetAudience) {
    prompt += `\nTarget Audience: ${input.targetAudience}`;
  }
  if (input.length) {
    prompt += `\nLength: ${input.length}`;
  }
  if (input.visualElements) {
    prompt += `\nVisual Elements: ${input.visualElements}`;
  }
  if (input.additionalInstructions) {
    prompt += `\nAdditional Instructions: ${input.additionalInstructions}`;
  }
  if (input.language) {
    prompt += `\nScript should be in ${input.language}`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
