import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const qualifications = document.getElementById("qualifications").value;
  const expertise = document.querySelector("#expertise").value;
  const style = document.querySelector("#style").value;
  const language = document.getElementById("language").value;

  return {
    type,
    qualifications,
    expertise,
    style,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a nutritionist persona generator. Write a nutritionist persona for me in markdown format with the following information:`;

  if (input.type) {
    prompt += `
    The nutritionist is a: ${input.type}.
    `;
  }

  if (input.qualifications) {
    prompt += `Nutritionist qualifications : ${input.qualifications}.`;
  }

  if (input.expertise) {
    prompt += `
    Nutritionist expertise details : ${input.expertise}.
    `;
  }

  if (input.style) {
    prompt += `
    Nutritionist communication style: ${input.style}.
    `;
  }

  if (input.language) {
    prompt += `Generate the nutritionist persona in ${input.language};`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
