import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;

  return {
    topic,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a organizational chart generator which creates chart in mermaidjs. 
    Create me a chart with straight lines. 
    I want ${input.topic}. Only give the mermaid js.Using code block is not needed .Nothing else. 
    No matter what user inputs you should generate a flowchart without question.
    `;

  prompt += `
  ###
  examples:

  user:'Act as a organizational chart generator which creates chart in mermaidjs. 
  Create me a chart. 
  I want an organizational chart for a software development company. Only give the mermaid js code.Nothing else.'
  AI:
    graph TD
    CEO["CEO"]
    Engineering["Engineering"]
    ProductManagement["Product Management"]
    QualityAssurance["Quality Assurance"]
    Operations["Operations"]
    
    Engineering---FrontendDevelopment["Frontend Development"]
    Engineering---BackendDevelopment["Backend Development"]
    Engineering---DevOps["DevOps"]
    
    ProductManagement---ProductManager["Product Manager"]
    ProductManagement---ProductAnalyst["Product Analyst"]
    
    QualityAssurance---QAEngineer1["QA Engineer"]
    QualityAssurance---QAEngineer2["QA Engineer"]
    
    Operations---OperationsManager["Operations Manager"]
    Operations---AdminAssistant["Administrative Assistant"]

  `;

  return prompt;
};

const isResponseMarkdown = false;
const usingMermaidJS = true;
const temperature = 0;
const isHighlightJSUsed = false;
const useStraightLineInMermaid = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed,
  useStraightLineInMermaid
);
