import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const paragraph = document.querySelector("#paragraph").value;
  const tone = document.querySelector("#tone").value;
  const language = document.querySelector("#language").value;

  return { paragraph, tone, language };
};

const generatePrompt = ({ paragraph, tone, language }) => {
  let prompt = `Act as a paragraph rewriter.You output rewrited paragraphs in markdown format. Rewrite the following paragraph with following informations:`;

  if (paragraph) {
    prompt += `The Paragraph: ${paragraph}.`;
  }

  if (tone) {
    prompt += `Rewritten paragraph's tone will be: ${tone}.`;
  }

  if (language) {
    prompt += `Rewritten paragraph will be in ${language}.`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
