import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a priority list generator. Generate a priority list for me with the following informations in markdown format:`;

  if (input.topic) {
    prompt += `
        About myself: ${input.topic}
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJSUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
