import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a project scope generator. Write a project scope in markdown format in ${input.language} with these project informations: ${input.topic}.`;

  prompt += `
    Create the project scope by including the following:
    A timeline.
    Set milestones.
    Clear deliverables.
    Regular reports.
    A budget.
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.3;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
