import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const company = document.getElementById("company").value;
  const client = document.getElementById("client").value;
  const language = document.getElementById("language").value;

  return {
    client,
    company,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Questions For Discovery Calls generator.
   Discovery questions are questions you ask a prospect to gauge whether or not they are going to be your product's paid customers. These questions should be open-ended and focus on the prospect’s obstacles, processes, and goals as they relate to the product or service you are offering. 
   Generate Questions For Discovery Calls for me with the following informations in markdown format:`;

  if (input.company) {
    prompt += `
        Details of my company is here: ${input.company}.
      `;
  }

  if (input.client) {
    prompt += `
        Details of the client is here: ${input.client}.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
