import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const dishType = document.getElementById("dishType").value;
  const foodProfile = document.getElementById("foodProfile").value;
  const includedIngredients = document.getElementById(
    "includedIngredients"
  ).value;
  const excludedIngredients = document.getElementById(
    "excludedIngredients"
  ).value;
  const dietaryRestrictions = document.getElementById(
    "dietaryRestrictions"
  ).value;
  const additionalRequirements = document.getElementById(
    "additionalRequirements"
  ).value;
  const recipeLengthSelector = document.getElementById(
    "recipeLengthSelector"
  ).value;
  const language = document.getElementById("language").value;

  return {
    dishType,
    foodProfile,
    includedIngredients,
    excludedIngredients,
    dietaryRestrictions,
    additionalRequirements,
    recipeLengthSelector,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a recipe generator. Give some recipe in markdown format based on the following information:\n";
  if (input.dishType) {
    prompt += `Dish type: ${input.dishType}\n`;
  }
  if (input.foodProfile) {
    prompt += `Cuisine or Flavor profile : ${input.foodProfile}\n`;
  }
  if (input.includedIngredients) {
    prompt += `Include this ingredients: ${input.includedIngredients}\n`;
  }
  if (input.excludedIngredients) {
    prompt += `This ingredients should not be present: ${input.excludedIngredients}\n`;
  }
  if (input.dietaryRestrictions) {
    prompt += `Dietary restrictions: ${input.dietaryRestrictions}\n`;
  }
  if (input.additionalRequirements) {
    prompt += `Additional requirements: ${input.additionalRequirements}\n`;
  }
  if (input.recipeLengthSelector) {
    prompt += `I like recipe which is: ${input.recipeLengthSelector}\n`;
  }
  if (input.language) {
    prompt += `The recipe should be in ${input.language}\n`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.2;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
