import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const name = document.getElementById("name").value;
  const email = document.getElementById("email").value;
  const company = document.getElementById("company").value;
  const address = document.getElementById("address").value;
  const position = document.getElementById("position").value;
  const experience = document.getElementById("experience").value;
  const skills = document.getElementById("skills").value;

  return {
    name,
    email,
    company,
    address,
    position,
    experience,
    skills,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a resume cover letter generator. Generate a resume cover letter for me in markdown format with the following informations:`;

  if (input.name) {
    prompt += `My name: ${input.name}.`;
  }

  if (input.email) {
    prompt += `My email: ${input.email}.`;
  }

  if (input.company) {
    prompt += `Name of the company I am applying to: ${input.company}.`;
  }

  if (input.address) {
    prompt += `Address of the company I am applying to: ${input.address}.`;
  }

  if (input.position) {
    prompt += `Position I am applying to: ${input.position}.`;
  }

  if (input.experience) {
    prompt += `My previous experiences: ${input.experience}.`;
  }

  if (input.skills) {
    prompt += `My skills: ${input.skills}.`;
  }

  prompt += `
  ###Use this format for the cover letter:
    {company name} \\n
    {company address} \\n

    Dear Hiring Manager,

    {letter body}

    Sincerely, \\n
    {my name} \\n
    {my email}
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
