import createOutputActions from "../globaljs/createOutputActionsForVisuals.js";

const output = document.querySelector("#output");
const datapoints = [];

document
  .querySelector("#input-output-container form")
  .addEventListener("submit", function (e) {
    e.preventDefault();

    // output.textContent = "";
    output.classList.remove("empty");

    const chart = new CanvasJS.Chart("output", {
      animationEnabled: true,
      theme: "dark1", //"light2", "light1", "dark1", "dark2"
      title: {
        text: "",
      },
      data: [
        {
          type: "funnel",
          indexLabelPlacement: "inside",
          indexLabelFontColor: "white",
          toolTipContent: "<b>{label}</b>: {y} <b>({percentage}%)</b>",
          indexLabel: "{label} ({percentage}%)",
          dataPoints: [
            // { y: 1400, label: "Leads" },
            // { y: 1212, label: "Initial Communication" },
            // { y: 1080, label: "Customer Evaluation" },
            // { y: 665,  label: "Negotiation" },
            // { y: 578, label: "Order Received" },
            // { y: 549, label: "Payment" }
          ],
        },
      ],
    });

    function calculatePercentage() {
      var dataPoint = chart.options.data[0].dataPoints;
      var total = dataPoint[0].y;
      for (var i = 0; i < dataPoint.length; i++) {
        if (i == 0) {
          chart.options.data[0].dataPoints[i].percentage = 100;
        } else {
          chart.options.data[0].dataPoints[i].percentage = (
            (dataPoint[i].y / total) *
            100
          ).toFixed(2);
        }
      }
    }

    const chartTitle = document.querySelector("#chart-title").value;
    var y = parseInt(document.getElementById("number").value);
    var label = document.getElementById("data").value;

    chart.options.title.text = chartTitle;
    datapoints.push({ y: y, label: label });
    datapoints.sort(function (a, b) {
      return b.y - a.y;
    });

    chart.options.data[0].dataPoints = datapoints;

    calculatePercentage();
    chart.render();

    createOutputActions(output);
  });
