import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a sales page generator. Write a sales page in markdown format in ${input.language} with these product informations: ${input.topic}.`;

  prompt += `
    Create the sales page by including the following:
    compelling hero copy
    Pain Points
    show the product in action
    Product Advantages
    Testimonials and Reviews
    FAQs
    Who this is NOT for
    CTA
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
