import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a sales proposal generator. Write a compelling sales proposal in markdown format in ${input.language} with these product informations: ${input.topic}.`;

  prompt += `
        Include these in the sales proposal:
        contact informations
        TABLE OF CONTENTS
        EXECUTIVE SUMMARY
        PROJECT OVERVIEW
        SCOPE OF WORK
        CHALLENGES AND GOALS
        DELIVERABLES AND TIMELINE
        COST, PAYMENT, AND LEGAL MATTERS
        PAYMENT SCHEDULE
        TERMS AND CONDITIONS 
        AGREEMENT
        `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
