import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const companyName = document.getElementById("companyName").value;
  const targetAudience = document.getElementById("targetAudience").value;
  const productDetails = document.getElementById("productDetails").value;
  const painPoints = document.getElementById("painPoints").value;
  const uniqueSellingProposition = document.getElementById(
    "uniqueSellingProposition"
  ).value;
  const callToObjective = document.getElementById("callToObjective").value;
  const callToAction = document.getElementById("callToAction").value;
  const language = document.getElementById("language").value;
  const tone = document.getElementById("tone").value;

  return {
    companyName,
    targetAudience,
    productDetails,
    painPoints,
    uniqueSellingProposition,
    callToObjective,
    callToAction,
    language,
    tone,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let script = `Act as a sales script generator. Generate a sales script for me in markdown format with the following informations:\n\n`;

  if (input.companyName) {
    script += `Company Name: ${input.companyName}\n\n`;
  }

  if (input.targetAudience) {
    script += `Target Audience: ${input.targetAudience}\n\n`;
  }

  if (input.productDetails) {
    script += `Product Details: ${input.productDetails}\n\n`;
  }

  if (input.painPoints) {
    script += `Common Pain Points: ${input.painPoints}\n\n`;
  }

  if (input.uniqueSellingProposition) {
    script += `Unique Selling Proposition: ${input.uniqueSellingProposition}\n\n`;
  }

  if (input.callToObjective) {
    script += `Call to Objective: ${input.callToObjective}\n\n`;
  }

  if (input.callToAction) {
    script += `Call to Action: ${input.callToAction}\n\n`;
  }

  if (input.language) {
    script += `Language: ${input.language}\n\n`;
  }

  if (input.tone) {
    script += `Tone: ${input.tone}\n\n`;
  }

  prompt += `
  ###sales script example in formal tone:
  [Your Name]: Good morning/afternoon, may I speak with [Prospect's Name] please?

  [Prospect's Name]: This is [Prospect's Name]. Who is calling?
  
  [Your Name]: Hello, [Prospect's Name]. My name is [Your Name], and I'm calling from Rizk. We specialize in providing ready-made foods for busy working professionals like yourself. I hope I'm not catching you at a bad time?
  
  [Prospect's Name]: No, it's fine. What can I do for you?
  
  [Your Name]: Thank you for your time. The reason for my call today is to introduce you to our product, which I believe could be a great solution for your busy lifestyle. We understand that as a working professional, finding time to cook can be a challenge. That's where Rizk comes in. We offer a wide range of delicious and nutritious ready-made meals that can be conveniently delivered to your doorstep.
  
  [Prospect's Name]: That sounds interesting. How does it work?
  
  [Your Name]: It's quite simple, [Prospect's Name]. All you need to do is place an order on our website or through our mobile app, and we'll take care of the rest. Our chefs prepare the meals using high-quality ingredients, ensuring a perfect balance of taste and nutrition. You'll have a variety of options to choose from, including vegetarian, gluten-free, and low-carb meals. Plus, if you place an order right now, we're offering a special 3% discount.
  
  [Prospect's Name]: That's a great offer. Can you tell me more about your company?
  
  [Your Name]: Certainly, [Prospect's Name]. Rizk is a leading provider of ready-made foods in the United States. We understand the importance of convenience and quality when it comes to meals for busy professionals like yourself. Our mission is to make your life easier by providing delicious, healthy, and hassle-free meal options. With our service, you can enjoy restaurant-quality meals without the time-consuming preparation.
  
  [Prospect's Name]: I'm definitely interested. What's the next step?
  
  [Your Name]: That's fantastic to hear, [Prospect's Name]. The next step is to place an order on our website or through our mobile app. Simply choose your desired meals, and remember, if you order right now, you'll receive a 3% discount. Our delivery service ensures that your meals arrive fresh and ready to enjoy. So, why not give it a try and experience the convenience of Rizk?
  
  [Prospect's Name]: Alright, I'll give it a shot. What's your website or app name?
  
  [Your Name]: Thank you, [Prospect's Name]. You can visit our website at www.rizk.com or download our mobile app from the App Store or Google Play Store. Once you've placed your order, our team will take care of everything else. If you have any questions or need assistance, feel free to reach out to our customer support team. We're here to help.
  
  [Prospect's Name]: Great, I'll check it out. Thanks for calling.
  
  [Your Name]: You're welcome, [Prospect's Name]. Thank you for your time, and we look forward to serving you soon. Have a wonderful day!
  
  [Prospect's Name]: You too. Goodbye.
  
  [Your Name]: Goodbye.
  `;

  return script;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
