import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const language = document.querySelector("#language").value;

  return {
    topic,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt = `Generate digital startup ideas based on the wish of the people. For example, when I say "I wish there's a big large mall in my small town", you generate a details, in-depth,comprehensive business plan for the digital startup complete with idea name, target user persona, user's pain points to solve, main value propositions, sales & marketing channels, revenue stream sources, cost structures, key activities, key resources, key partners, idea validation steps, estimated 1st year cost of operation, and potential business challenges to look for. Write the in-depth result in a markdown table.`;

  if (input.topic) {
    prompt += `
      My startup details: ${input.topic}
      `;
  }

  if (input.language) {
    prompt += `
    The idea details should be in ${input.language}
    `;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
