import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a startup pitch generator. Write a 100 words startup pitch in markdown format in ${input.language} on this information: ${input.topic} .}
  .`;

  prompt += `
    ###Include these in the pitch:
    Your Company Information
    The Concept
    The Problem
    The Solution
    Market Size
    The Competition
    Competitive Advantages
    The Product
    Traction
    Business Model
    Basic Financial Forecast
    Other Investors
    Use of Funds
    Who is Involved
    Thank You
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
