import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const functionSignature = document.getElementById("functionSignature").value;
  const functionSpecification = document.getElementById(
    "functionSpecification"
  ).value;
  const inputRange = document.getElementById("inputRange").value;
  const inputTypes = document.getElementById("inputTypes").value;
  const specialCases = document.getElementById("specialCases").value;
  const errorHandling = document.getElementById("errorHandling").value;
  const testCoverageCriteria = document.getElementById(
    "testCoverageCriteria"
  ).value;
  const constraints = document.getElementById("constraints").value;

  return {
    functionSignature,
    functionSpecification,
    inputRange,
    inputTypes,
    specialCases,
    errorHandling,
    testCoverageCriteria,
    constraints,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a test case generator and generate test cases based on the provided inputs.`;

  if (input.functionSignature) {
    prompt += `
          Function Signature: ${input.functionSignature}.
      `;
  }

  if (input.functionSpecification) {
    prompt += `
          Function Specification: ${input.functionSpecification}.
      `;
  }

  if (input.inputRange) {
    prompt += `
          Input Range: ${input.inputRange}.
      `;
  }

  if (input.inputTypes) {
    prompt += `
          Input Types: ${input.inputTypes}.
      `;
  }

  if (input.specialCases) {
    prompt += `
          Special Cases: ${input.specialCases}.
      `;
  }

  if (input.errorHandling) {
    prompt += `
          Error Handling: ${input.errorHandling}.
      `;
  }

  if (input.testCoverageCriteria) {
    prompt += `
          Test Coverage Criteria: ${input.testCoverageCriteria}.
      `;
  }

  if (input.constraints) {
    prompt += `
          Constraints: ${input.constraints}.
      `;
  }

  prompt += "Generate the test cases in markdown format.";

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
