import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const audience = document.getElementById("audience").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    audience,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a tiktok video script generator. A TikTok video is a short video that is posted to the TikTok platform. These videos can range from a few seconds to a minute long and can include a variety of content, such as dance challenges, lip-syncing, and comedy skits. The goal of a TikTok post is to create content that is engaging and shareable, with the ultimate goal of going viral and reaching a wider audience.
  I will give you tiktok video topic, target audience and language of the post, you will create me a 100 words tiktok video script in markdown format.`;

  if (input.topic) {
    prompt += `Topic of the video: ${input.topic}.`;
  }

  if (input.audience) {
    prompt += `Target audience of the video: ${input.audience}.`;
  }

  if (input.language) {
    prompt += `Language of the video: ${input.language}.`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
