import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const brandName = document.getElementById("brandName").value;
  const value = document.getElementById("value").value;
  const language = document.getElementById("language").value;

  return {
    brandName,
    value,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a unique value proposition generator. Generate unique value propositions for my brand in markdown format with the following informations:`;

  if (input.brandName) {
    prompt += `My Brand Name: ${input.brandName}.`;
  }

  if (input.value) {
    prompt += `Values My Brand Is Providing: ${input.value}.`;
  }

  if (input.language) {
    prompt += `Value Propositions Language: ${input.language}.`;
  }

  prompt += `
  ### examples:
  1) # Create stunning emails.
  Campaign Monitor makes it radically easy to create, send and measure the impact of your email marketing campaigns.

  2) # Why there's nothing quite like iPhone.
  Every iPhone we've made - and we mean every single one-was built on the same belief. That a phone should be more than a collection of features. That, above all, a phone should be absolutely simple, beautiful, and magical to use.
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
