import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  let topic = document.getElementById("topic").value;
  let vibe = document.getElementById("vibe").value;
  let format = document.getElementById("format").value;
  let duration = document.getElementById("duration").value;
  let language = document.getElementById("language").value;

  return {
    topic,
    vibe,
    format,
    duration,
    language,
  };
};

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a video script generator. I will provide information about my video preferences and you will generate a video script for me in markdown format.`;

  if (input.topic) {
    prompt += `
        Topic: ${input.topic}
        `;
  }

  if (input.vibe) {
    prompt += `
        Vibe: ${input.vibe}
        `;
  }

  if (input.format) {
    prompt += `
        Platform: ${input.format}
        `;
  }

  if (input.duration) {
    prompt += `
        The script must have ${input.duration * 140} words and ${
      input.duration
    } minutes long or less.
        `;
  }

  if (input.language) {
    prompt += `
        Language: ${input.language}
        `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
