import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  let equipment = Array.from(
    document.querySelectorAll('input[name="equipment"]:checked')
  ).map((element) => element.value);

  let household = Array.from(
    document.querySelectorAll('input[name="household"]:checked')
  ).map((element) => element.value);

  let body_area = Array.from(
    document.querySelectorAll('input[name="body_area"]:checked')
  ).map((element) => element.value);

  let goal = document.querySelector("#goal").value;

  let duration = document.querySelector("#duration").value;

  let language = document.querySelector("#language").value;
  return {
    equipment,
    household,
    body_area,
    goal,
    duration,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a workout generator. I will provide information about my workout preferences and you will generate a workout plan for me.`;

  if (input["equipment"]) {
    prompt += `
      Equipment: ${input["equipment"].join(", ")}
      `;
  }

  if (input["household"]) {
    prompt += `
      Household Items: ${input["household"].join(", ")}
      `;
  }

  if (input["body_area"]) {
    prompt += `
      Body Areas: ${input["body_area"].join(", ")}
      `;
  }

  if (input["goal"]) {
    prompt += `
      Goal: ${input["goal"]}
      `;
  }

  if (input["duration"]) {
    prompt += `
      Duration: ${input["duration"]}
      `;
  }

  if (input.language) {
    prompt += `
      Language of the generated workflow: ${input.language}
    `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
