import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const aboutVideo = document.getElementById("aboutVideo").value;
  const timestamps = document.getElementById("timestamps").value;
  const aboutChannel = document.getElementById("aboutChannel").value;
  const videos = document.getElementById("videos").value;
  const companyProducts = document.getElementById("companyProducts").value;
  const website = document.getElementById("website").value;
  const contactSocial = document.getElementById("contactSocial").value;
  const language = document.getElementById("language").value;

  return {
    aboutVideo,
    timestamps,
    aboutChannel,
    videos,
    companyProducts,
    website,
    contactSocial,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a YouTube description generator. Generate a video description in markdown format based on the provided inputs.`;

  if (input.aboutVideo) {
    prompt += `
        About the Video: ${input.aboutVideo}
        `;
  }

  if (input.timestamps) {
    prompt += `
        Timestamps: ${input.timestamps}
        `;
  }

  if (input.aboutChannel) {
    prompt += `
        About the Channel: ${input.aboutChannel}
        `;
  }

  if (input.videos) {
    prompt += `
        Recommended Videos/Playlists: ${input.videos}
        `;
  }

  if (input.companyProducts) {
    prompt += `
        About Our Company & Products: ${input.companyProducts}
        `;
  }

  if (input.website) {
    prompt += `
        Our Website: ${input.website}
        `;
  }

  if (input.contactSocial) {
    prompt += `
        Contact & Social: ${input.contactSocial}
        `;
  }

  if (input.language) {
    prompt += `
        Video Description should be in ${input.language}
        `;
  }

  prompt += `
  The description should only contain text without any links images/ videos.
  `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
